(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    227897,       5169]
NotebookOptionsPosition[    150361,       3670]
NotebookOutlinePosition[    207980,       4843]
CellTagsIndexPosition[    207900,       4838]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["", "SlideShowNavigationBar", "FirstSlide",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"5eff326f-51d4-4f6d-8327-0361233df0b4"],

Cell["Import/Export \[LongDash] Updates and Applications", "Title",
 CellChangeTimes->{{3.448190122176695*^9, 3.44819012385317*^9}, {
   3.485609127497636*^9, 3.485609133015955*^9}, {3.514308355088097*^9, 
   3.514308374696691*^9}, 3.5146594348020153`*^9, 3.5146601881617107`*^9, 
   3.7257081858163147`*^9, {3.748603419508648*^9, 
   3.748603438516514*^9}},ExpressionUUID->"4a349bd0-044f-4b71-9e5d-\
6f85b428ef05"],

Cell["\<\
Mikayel Egibyan, WRI
Rafal Chojna, WRI\
\>", "Subtitle",
 CellChangeTimes->{{3.485609136120798*^9, 3.4856091511532907`*^9}, {
   3.4856091945334663`*^9, 3.485609199379443*^9}, {3.4951031489375*^9, 
   3.49510314984375*^9}, {3.495106455296875*^9, 3.495106455453125*^9}, {
   3.5143083846926413`*^9, 3.514308395249558*^9}, 3.5443793532699003`*^9, 
   3.621626517580729*^9, {3.621626691998458*^9, 3.6216267186543407`*^9}, {
   3.621695156698331*^9, 3.621695160632772*^9}, {3.622213306499199*^9, 
   3.622213328771823*^9}, {3.748603422258054*^9, 3.748603453567157*^9}, {
   3.748603827861884*^9, 
   3.748603837894188*^9}},ExpressionUUID->"8bf38818-9136-4d63-b800-\
a95800ba3bba"],

Cell[TextData[{
 Cell[BoxData[
  GraphicsBox[{InsetBox[
     GraphicsBox[{},
      ContentSelectable->True,
      ImageSize->{480, 360},
      PlotRange->{{0, 480/360}, {0, 1}}], Scaled[{0, 0}], Center, 
     Scaled[{0.5, 0.5}]], InsetBox[
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJztW7uO20YUXSQpUuoTmD9QmZIG0qQTHKSfNWIbaRzBDhCkY+HCQGBrbe9m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        "], {{0, 68}, {65, 0}}, {0, 255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSizeRaw->{65, 68},
      PlotRange->{{0, 65}, {0, 68}}], 
     Scaled[{0.49333580155497714, 0.5717682253254397}], 
     Center, {1.1979558513699555, 0.9210339753942228}, {{1., 0.}, {0., 1.}}]},
   AspectRatio->1.0295620437956206`,
   ContentSelectable->True,
   ImageMargins->0.,
   ImagePadding->{{0., 0.}, {0., 0.}},
   ImageSize->{74., 77.5},
   PlotRange->{{0., 1.3333333333333335`}, {0., 1.}},
   PlotRangePadding->Automatic]],ExpressionUUID->
  "eb1d1c99-f9b1-47d6-84cd-363f1135648c"],
 StyleBox[" ",
  FontColor->RGBColor[
   0.5019607843137255, 0.5019607843137255, 0.5019607843137255]],
 StyleBox["Join the Conversation ",
  FontColor->RGBColor[
   0.9019607843137255, 0.9019607843137255, 0.9019607843137255]],
 "#WolframTechConf"
}], "Text",
 CellFrame->{{0, 0}, {0, 1}},
 ShowCellBracket->Automatic,
 CellMargins->{{80, 80}, {100, 165}},
 CellFrameMargins->{{0, 0}, {0, 50}},
 CellFrameColor->RGBColor[0.886275, 0.364706, 0.427451],
 CellChangeTimes->{{3.6216253798451433`*^9, 3.621625396205482*^9}, 
   3.6216255185076437`*^9, {3.621625573653562*^9, 3.6216256020928392`*^9}, {
   3.621625635821653*^9, 3.621625645324601*^9}, {3.621625678952072*^9, 
   3.62162572395792*^9}, {3.621625867660451*^9, 3.62162588677988*^9}, {
   3.621625982321312*^9, 3.621625984476396*^9}},
 TextAlignment->Center,
 FontFamily->"Arial",
 FontSize->24,
 FontColor->GrayLevel[
  1],ExpressionUUID->"e5654c3b-261a-4278-9d0c-d50835b563a4"]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"3922b593-907c-45c1-b8b6-90c3373155fd"],

Cell[CellGroupData[{

Cell["Abstract", "Section",
 CellChangeTimes->{{3.7257199329223537`*^9, 3.725720005948655*^9}, {
  3.72572008110417*^9, 3.725720088583918*^9}, {3.7486034839670763`*^9, 
  3.7486034846043653`*^9}, {3.748606948952342*^9, 3.748606990714259*^9}, {
  3.748633432511448*^9, 3.748633432826407*^9}},
 TextAlignment->Left,ExpressionUUID->"f29c9c36-3588-423d-85b2-02bd9ce04aa0"],

Cell["\<\
In this talk, we will demonstrate various enhancements to and new features \
for Import and Export in the Wolfram Language. Workflows involving files are \
much easier and more efficient than ever before. We will use some of these \
new, advanced capabilities, such as efficient partial access and rich \
metadata support, to show how to quickly build powerful, high-level \
applications. We will also demonstrate extended support for two of the most \
important and flexible scientific file formats: HDF5 and FITS.\
\>", "Text",
 CellChangeTimes->{{3.725720132418301*^9, 3.7257201347705364`*^9}, 
   3.7486034871959248`*^9},ExpressionUUID->"813e3938-12dd-4af2-a679-\
9c2667c326cc"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"3d417ef7-2274-476e-a156-7231bf56c84e"],

Cell[CellGroupData[{

Cell["Import/Export general updates: FileConvert", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308340990994*^9, 3.514308352103572*^9}, {
   3.7486035621672077`*^9, 3.748603577888309*^9}, {3.7486070172406683`*^9, 
   3.748607041378484*^9}, {3.748633414781908*^9, 
   3.748633415170499*^9}},ExpressionUUID->"d519da9a-07b8-4600-b208-\
ff11b9f334ce"],

Cell["New convenience function in version 12:", "Text",ExpressionUUID->"5a0a2a0b-e4c2-448b-9310-dedcae99c331"],

Cell[BoxData[
 RowBox[{"?", "FileConvert"}]], "Input",
 CellChangeTimes->{{3.748607007890966*^9, 3.748607009096498*^9}, 
   3.7486230958725767`*^9},
 CellLabel->"In[37]:=",ExpressionUUID->"9d09edc4-1c62-438e-bbb5-37af16756761"],

Cell["Specify the format to convert to:", "Text",
 CellChangeTimes->{{3.7486233439970627`*^9, 3.748623377190589*^9}, {
  3.748623464750366*^9, 3.748623485491007*^9}, {3.748624784808407*^9, 
  3.748624788679229*^9}},ExpressionUUID->"eb0b1f2c-ba05-46a8-a6e8-\
c79a94bcfaec"],

Cell[BoxData[
 RowBox[{"FileConvert", "[", 
  RowBox[{"\"\<ExampleData/coneflower.jpg\>\"", ",", " ", "\"\<PNG\>\""}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.748623385012787*^9, 3.748623387437858*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"39226c29-48f2-478b-95f3-211ef41bf1b3"],

Cell["\<\
The result of the conversion should conform with the original file content:\
\>", "Text",
 CellChangeTimes->{{3.74862330252945*^9, 3.748623320411968*^9}, {
  3.748624551444043*^9, 3.748624551764188*^9}, {3.748624842329505*^9, 
  3.748624853457457*^9}},ExpressionUUID->"59f35e93-131a-497c-8799-\
d74365e72c26"],

Cell[BoxData[
 RowBox[{"MinMax", "@", 
  RowBox[{"ImageDifference", "[", 
   RowBox[{
    RowBox[{"Import", "[", "\"\<ExampleData/coneflower.jpg\>\"", "]"}], ",", 
    " ", 
    RowBox[{"Import", "[", "\"\<coneflower.png\>\"", "]"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.74863529855389*^9, 3.748635342520146*^9}},
 CellLabel->"In[65]:=",ExpressionUUID->"17947570-b7cc-4837-b9a2-9c46f24ef4a3"],

Cell["Specify the file name to convert to:", "Text",
 CellChangeTimes->{{3.748623173595903*^9, 3.7486232090413923`*^9}, {
  3.74862349047777*^9, 3.748623526782048*^9}, {3.748624800812584*^9, 
  3.748624807989893*^9}},ExpressionUUID->"dc16f003-b387-4385-9dc2-\
931401f4bc3a"],

Cell[BoxData[
 RowBox[{"FileConvert", "[", 
  RowBox[{
  "\"\<ExampleData/coneflower.jpg\>\"", " ", "\[Rule]", " ", 
   "\"\<coneflower.png\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.748623157324242*^9, 3.7486231706820307`*^9}, {
  3.748623215040386*^9, 3.748623241728204*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"4ae97169-9983-4728-96c1-1a95683e2a4a"],

Cell["\<\
Input and output formats can be specified regardless of extension:\
\>", "Text",
 CellChangeTimes->{{3.7486233933818703`*^9, 3.7486233969829082`*^9}, {
  3.748623427333481*^9, 3.7486234456080837`*^9}, {3.7486235292927217`*^9, 
  3.748623548296465*^9}, {3.748624813799178*^9, 
  3.748624823154928*^9}},ExpressionUUID->"2f1117ed-94ac-4f3d-bbe7-\
0dcd84127a99"],

Cell[BoxData[
 RowBox[{"FileConvert", "[", 
  RowBox[{"\"\<ExampleData/coneflower.jpg\>\"", ",", " ", 
   RowBox[{"\"\<JPEG\>\"", " ", "\[Rule]", " ", "\"\<PNG\>\""}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.748623691215097*^9, 3.748623731759197*^9}, {
   3.748623762941835*^9, 3.748623767464405*^9}, 3.7486238278150377`*^9},
 CellLabel->"In[8]:=",ExpressionUUID->"59c8ca1c-ecfb-4503-b61f-c2d469819248"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"txtFile", " ", "=", " ", 
   RowBox[{"Export", "[", 
    RowBox[{"\"\<hundred.txt\>\"", ",", 
     RowBox[{"Partition", "[", 
      RowBox[{
       RowBox[{"Range", "[", "100", "]"}], ",", "10"}], "]"}], ",", 
     "\"\<CSV\>\""}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"FileFormat", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.7486243777606583`*^9, 3.748624468567078*^9}, {
  3.748624632638898*^9, 3.748624633163684*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"8fdacefe-7c3a-4cf9-b299-ed0f17f5ab32"],

Cell[BoxData[{
 RowBox[{"FileConvert", "[", 
  RowBox[{
   RowBox[{"\"\<hundred.txt\>\"", " ", "\[Rule]", "\"\<hundred\>\""}], ",", 
   RowBox[{"\"\<CSV\>\"", " ", "\[Rule]", " ", "\"\<TSV\>\""}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"FileFormat", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.74862445741255*^9, 3.748624476913403*^9}, {
  3.748624510721348*^9, 3.7486245275155973`*^9}, {3.748624606143256*^9, 
  3.748624611284814*^9}, {3.748624642273016*^9, 3.74862464975086*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"7613f12c-1e04-4754-aa4f-c7c6d014d38a"],

Cell["\<\
Control whether to allow the creation of intermediate directories:\
\>", "Text",
 CellChangeTimes->{{3.748623868240724*^9, 3.748623882919479*^9}, {
  3.748624670483966*^9, 
  3.748624735342759*^9}},ExpressionUUID->"087391b2-c8dc-41e9-8b81-\
943511401711"],

Cell[BoxData[
 RowBox[{"FileConvert", "[", 
  RowBox[{
   RowBox[{
   "\"\<ExampleData/coneflower.jpg\>\"", " ", "\[Rule]", " ", 
    "\"\<TestDir/coneflower.png\>\""}], ",", " ", 
   RowBox[{"CreateIntermediateDirectories", "\[Rule]", "False"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.74862391757843*^9, 3.7486239462155857`*^9}, {
  3.7486248662121773`*^9, 3.748624872675652*^9}},
 CellLabel->"In[71]:=",ExpressionUUID->"8e1f3ea8-e02d-45f7-924f-fe638e271eec"],

Cell["Control whether to allow overwriting already existing file: ", "Text",
 CellChangeTimes->{{3.748624743861315*^9, 3.74862476894073*^9}, 
   3.748624861868394*^9},ExpressionUUID->"b65907d4-ac95-4f35-ae9d-\
f8e13e2a0415"],

Cell[BoxData[
 RowBox[{"FileConvert", "[", 
  RowBox[{"\"\<ExampleData/coneflower.jpg\>\"", ",", " ", 
   RowBox[{"\"\<JPEG\>\"", "->", "\"\<PNG\>\""}], ",", " ", 
   RowBox[{"OverwriteTarget", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7486238174505787`*^9, 3.7486238637919397`*^9}, {
  3.748623980294601*^9, 3.748623985776276*^9}},
 CellLabel->"In[72]:=",ExpressionUUID->"bd3124ad-55b4-487c-80a7-5cc77f36006c"],

Cell[TextData[{
 "Let\[CloseCurlyQuote]s take a look into ",
 StyleBox["OverwriteTarget",
  FontSlant->"Italic"],
 " in a bit more details."
}], "Text",
 CellChangeTimes->{{3.748624941734267*^9, 
  3.748624965881466*^9}},ExpressionUUID->"4bcfd9a1-72ec-4b62-9da9-\
12104cdc6bc0"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"5253a593-46c2-4d08-845b-ac8de20bce7c"],

Cell[CellGroupData[{

Cell["Import/Export general updates: OverwriteTarget", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308340990994*^9, 3.514308352103572*^9}, {
   3.7486035621672077`*^9, 3.748603577888309*^9}, 3.7486036610241756`*^9, {
   3.748607046168969*^9, 3.748607047849174*^9}, {3.748607211186748*^9, 
   3.748607212772169*^9}, {3.7486334196642447`*^9, 
   3.748633420759342*^9}},ExpressionUUID->"27409321-c032-41d7-a644-\
f2f31ad641ab"],

Cell["\<\
In 11.3 and before Export always quietly overwrites the destination file:\
\>", "Text",
 CellChangeTimes->{{3.495209008234375*^9, 3.49520915653125*^9}, 
   3.495209919765625*^9, 3.4952106014375*^9, {3.4952106824375*^9, 
   3.495210832234375*^9}, 3.514307848543872*^9, {3.514308058576482*^9, 
   3.514308065607885*^9}, {3.51430841745117*^9, 3.514308419642997*^9}, {
   3.5149152616687326`*^9, 3.514915280523456*^9}, {3.514915328702818*^9, 
   3.5149153375415287`*^9}, 3.514915444638068*^9, {3.748326352432146*^9, 
   3.748326373624936*^9}, {3.748326461562463*^9, 
   3.748326462947028*^9}},ExpressionUUID->"56312f13-adf4-4812-ac4f-\
c63ba2b17d93"],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<file.txt\>\"", ",", "\"\<Hello\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.748326386261705*^9, 3.748326425458508*^9}},
 CellLabel->"In[44]:=",ExpressionUUID->"4489b849-0f1e-4019-b7c5-be18b71fcd5c"],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<file.txt\>\"", ",", "\"\<World\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.748326421057519*^9, 3.748326432297687*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"86f0198c-438d-40e8-ae22-e4fb60433d98"],

Cell[BoxData[
 RowBox[{"Import", "[", "\"\<file.txt\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.748326421057519*^9, 3.7483264420918913`*^9}},
 CellLabel->"In[46]:=",ExpressionUUID->"cd357b32-303d-4505-9017-54febb5d840d"],

Cell["\<\
Easy to loose data by accident and impossible to perform multi-step export:\
\>", "Text",
 CellChangeTimes->{{3.748326517545458*^9, 
  3.7483265828716307`*^9}},ExpressionUUID->"3549eede-ab0b-4b25-ad59-\
094d1c39952f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<file.gif\>\"", ",", 
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UFAHiEWAGMT+PwpGwXAH//79279/f1hYGBMTKJts376doJZPnz61trYGBQUJ
CwszIAFi9N6+fZsBGyBG79u3b+uRgK2tLfF60UB1dfWo3lG9o3rppvf48eOr
UUFwcDBEL9AQZPH169ej6YWrJAi4ubmpqHcUjAIqAgDiciex
       "], {{0, 44}, {20, 0}}, {0, 255},
       ColorFunction->RGBColor],
      BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSizeRaw->{20, 44},
     PlotRange->{{0, 20}, {0, 44}}], ",", "\"\<NextFrame\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.748326798772896*^9, 3.7483268057000017`*^9}, {
  3.748327576055808*^9, 3.748327600300469*^9}, {3.748331096802515*^9, 
  3.748331097878615*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"ed8cbfdc-c7ae-4e8f-b374-0ce9f3431245"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<file.gif\>\"", ",", 
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UFAHiEWAGMT+PwpGwfAFT58+7ejosLS0lJKSYmVlFRYWtrKyamxsfPHiBR5d
f/786enp4eTkZMAGeHh4Fi9ejFXj169ffXx8IMoEBARycnLmzZu3du3aiRMn
enh4QMQZGRmBIph6Fy1aBFGQlpb26dMnNNlVq1YxMYHyuLS09I8fPzC1d3d3
z549G5ePMjMzIYZv2bIFj8exggMHDkD0Njc3k6r3xo0bEL0VFRWk6t2zZw9E
79SpU0nVm5+fD9F7584dkjS+evUKGHFAjc7OzqRaGhUVBdQIjKZz586RpHHm
zJkQ11ZXV5Okce/evWxsbECNdnZ2v3//Jl7jiRMngMkYqFFdXf3t27ckaYSE
j7y8/IMHD4jXeOjQIV5eXqBGOTm5e/fuEa9x8+bNkJyooqJCko0LFy5kYWEB
1Xc6Os+ePSNeI7DEAGZSoEZgufHu3Tsidf39+xeY3yHxKCYmBrR9NW4AzFPI
eoGZF2tRgxXY29sj6wWmGbL1joJRQF0AAAk6/rk=
       "], {{0, 44}, {20, 0}}, {0, 255},
       ColorFunction->RGBColor],
      BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSizeRaw->{20, 44},
     PlotRange->{{0, 20}, {0, 44}}], ",", "\"\<NextFrame\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.7483276147904987`*^9, 3.748327615018606*^9}, {
  3.748331099738573*^9, 3.7483311004310913`*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"849ea88b-bfa5-4a3d-92d9-1b9223fe8a12"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<file.gif\>\"", ",", 
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJxTTMoPSmNiYGAo5gASQYnljkVFiZXBAkBOaF5xZnpeaopnXklqemqRRRIz
UFAHiEWAGMT+PwpGwfAFL1686O/vd3JykpWVZWNj4+HhUVNTi46OXr9+/d+/
f3Hp+vbtW0VFBRcXFwMOYGBgcPv2bUyNHz9+1NHRgagRFRVNTk6eOXPm2rVr
Z8yYkZOTw8fHB5GSkpJ6/fo1pvbm5magpT09PUAHoEl9+PDBwcEBor28vByr
s58/f47LRzdv3oToNTMzw6UGF/j16xdEr66uLql69+zZA9GblJREksZr164p
KCgANQID7datWwRd+P79+8uXLy9dujQiIoKVlRWoUUtL6/z58/g1AkMMLWb1
9PSAUfb9+3eCLsTUq6qqWldX9+DBA4J6//z5c/HixePHj69Zs6a1tdXR0ZGJ
CVSAc3NzA20nqB0N3Lhxw8bGBuKGtrY2UrUDPautrQ3UCwy3+/fvk6p9zpw5
EKu7u7tJ1XvkyBGI3uzsbFL1rly5EqK3qqoKWRyYs4KDg58+fYpL479//+BZ
afPmzcjirq6uQEFhYeHZs2cD4whNI9DkuLg4iEZgMfL7929kWWA4AEsYiKyE
hAQwv0+ePHnVqlVz587NzMwEljwQKWB6Pn36NKarLl26ZG9vj6vAgaRM/On5
xIkTxcXFJiYmMjIykLIOmCCBZd2GDRsw/TIKRgEtAAANfe5F
       "], {{0, 44}, {20, 0}}, {0, 255},
       ColorFunction->RGBColor],
      BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
      Selectable->False],
     DefaultBaseStyle->"ImageGraphics",
     ImageSizeRaw->{20, 44},
     PlotRange->{{0, 20}, {0, 44}}], ",", "\"\<NextFrame\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.748327624754532*^9, 3.748327625157402*^9}, {
  3.748331102043022*^9, 3.7483311025589437`*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"5bb10d3b-f160-4488-a2ba-7230f512ff64"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"c13aa35e-ee7e-45fb-b766-8a38ab576e52"],

Cell[CellGroupData[{

Cell["Import/Export general updates: OverwriteTarget", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308340990994*^9, 3.514308352103572*^9}, {
   3.7486035621672077`*^9, 3.748603577888309*^9}, 3.7486036610241756`*^9, {
   3.748607046168969*^9, 3.748607047849174*^9}, {3.748607211186748*^9, 
   3.748607212772169*^9}, 
   3.748633689801271*^9},ExpressionUUID->"12188045-e272-4c4c-a8d0-\
6086b51b5521"],

Cell[CellGroupData[{

Cell["True", "Subsection",
 CellChangeTimes->{{3.748327726273278*^9, 3.7483277441578207`*^9}, {
   3.748349960397264*^9, 3.7483499618116093`*^9}, 
   3.748633643878793*^9},ExpressionUUID->"9a49e2e9-a7f8-4c9b-aeec-\
0cef256a2e5c"],

Cell["Default value, corresponds to 11.3 behavior.", "Text",ExpressionUUID->"2f2cf16e-20d6-4707-9774-203ac9c70357"]
}, Closed]],

Cell[CellGroupData[{

Cell["False", "Subsection",ExpressionUUID->"92c60aa5-05b4-4932-aac3-1a00b0e52757"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<file2.txt\>\"", ",", "\"\<Hello\>\"", ",", 
    RowBox[{"OverwriteTarget", "\[Rule]", "False"}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.748327850395151*^9, 3.748327875733042*^9}, 
   3.748327983439537*^9},
 CellLabel->"In[2]:=",ExpressionUUID->"a1d262a9-1c69-4fae-bfcc-2cb9fd193a36"],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<file2.txt\>\"", ",", "\"\<World\>\"", ",", 
   RowBox[{"OverwriteTarget", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.748327850395151*^9, 3.7483278760305653`*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"0efed869-498b-4c04-a9fb-c0f852d3db19"]
}, Closed]],

Cell[CellGroupData[{

Cell["\[OpenCurlyDoubleQuote]Append\[CloseCurlyDoubleQuote]", "Subsection",ExpressionUUID->"566d4d3a-de1a-4606-83a9-22c826a778f1"],

Cell[CellGroupData[{

Cell["May not be supported by all formats", "Item",
 CellChangeTimes->{{3.748328567935145*^9, 3.748328578655965*^9}, {
  3.7483286210484247`*^9, 
  3.7483286265175123`*^9}},ExpressionUUID->"d0be5f02-fd1c-4292-b2bb-\
c028947a4d8a"],

Cell["Behavior is format-specific", "Item",
 CellChangeTimes->{{3.748328567935145*^9, 
  3.748328589313387*^9}},ExpressionUUID->"3c405a13-7206-4c83-94f4-\
de4ba8d3414c"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<file.h5\>\"", ",", 
    RowBox[{"{", 
     RowBox[{"\"\</GroupA\>\"", ",", " ", "\"\</GroupB\>\""}], "}"}], ",", 
    "\"\<Groups\>\""}], "]"}], ";"}], "\n", 
 RowBox[{"Import", "[", 
  RowBox[{"%", ",", "\"\<Groups\>\""}], "]"}]}], "Input",
 CellChangeTimes->{
  3.7487779261672373`*^9},ExpressionUUID->"d60c4ce1-ced1-41ce-bda1-\
a0ec60567b96"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
   "\"\<file.h5\>\"", ",", "\"\</GroupC\>\"", ",", "\"\<Groups\>\"", ",", 
    RowBox[{"OverwriteTarget", "\[Rule]", "\"\<Append\>\""}]}], "]"}], 
  ";"}], "\n", 
 RowBox[{"Import", "[", 
  RowBox[{"%", ",", "\"\<Groups\>\""}], "]"}]}], "Input",
 CellChangeTimes->{
  3.748777927530286*^9},ExpressionUUID->"c8e4cf5a-e3c2-4a24-ae4e-\
0124867651f9"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"789acc3f-d4e3-4cff-9500-0f304c5476c8"],

Cell[CellGroupData[{

Cell["Import/Export general updates: Partial access", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308340990994*^9, 3.514308352103572*^9}, {
   3.7486035621672077`*^9, 3.748603577888309*^9}, {3.7486036610241756`*^9, 
   3.748603679044126*^9}, {3.748607217614869*^9, 3.74860722090482*^9}, {
   3.74860786831859*^9, 3.748607873935575*^9}, {3.7486337747677183`*^9, 
   3.74863377577556*^9}},ExpressionUUID->"b763c446-71b3-443c-961d-\
2c003447d8e2"],

Cell[CellGroupData[{

Cell["Data sub-setting\t", "Subsection",ExpressionUUID->"0d965f69-0039-4490-986d-6aad13545a19"],

Cell["Row and column specification as sub-element to Import:", "Text",ExpressionUUID->"55ee6c5f-d07b-4fc7-bfd3-1f1c0c79ed59"],

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"\"\<ExampleData/financialtimeseries.csv\>\"", ",", " ", 
   RowBox[{"{", 
    RowBox[{"\"\<Data\>\"", ",", 
     RowBox[{"2", ";;", "12", ";;", "3"}]}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[8]:=",ExpressionUUID->"4d6ae9ed-9ac9-4458-a382-fa5d4ae2977e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Import", "[", 
   RowBox[{
   "\"\<ExampleData/financialtimeseries.csv\>\"", ",", " ", "\"\<Data\>\""}], 
   "]"}], "[", 
  RowBox[{"[", 
   RowBox[{"2", ";;", "12", ";;", "3"}], "]"}], "]"}]], "Input",
 CellLabel->"In[9]:=",ExpressionUUID->"b066ab65-ee49-471f-bf32-a46256895df4"],

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"\"\<ExampleData/financialtimeseries.csv\>\"", ",", " ", 
   RowBox[{"{", 
    RowBox[{"\"\<Data\>\"", ",", 
     RowBox[{"2", ";;", "12", ";;", "3"}], ",", "2"}], "}"}]}], 
  "]"}]], "Input",ExpressionUUID->"3f4defbc-6c97-49a7-a80b-0d02a5a1f769"],

Cell[CellGroupData[{

Cell["There may be other sub-elements for different formats.", "Item",ExpressionUUID->"162e2386-ee40-4ccb-bcd6-6c8a168f708c"],

Cell["More on that in Sean\[CloseCurlyQuote]s talk", "Item",
 CellChangeTimes->{{3.748350377777318*^9, 
  3.7483503841846647`*^9}},ExpressionUUID->"1a7e7ef2-62df-497e-a5f1-\
9f3cd268c5ea"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["File elements", "Subsection",
 CellChangeTimes->{
  3.3824524252213373`*^9, {3.514308595622859*^9, 3.514308595844242*^9}, 
   3.514662627149618*^9, 3.514662723834064*^9, {3.748331291501845*^9, 
   3.7483312999078903`*^9}, {3.748331347175516*^9, 
   3.748331348860702*^9}},ExpressionUUID->"0c45a02a-048f-4085-9602-\
c321b860cbab"],

Cell[BoxData[
 RowBox[{"FileSize", "@", 
  RowBox[{"Export", "[", 
   RowBox[{"\"\<test.h5\>\"", ",", 
    RowBox[{"RandomReal", "[", 
     RowBox[{"1.", ",", 
      RowBox[{"{", 
       RowBox[{"5000", ",", "5000", ",", "10"}], "}"}]}], "]"}]}], 
   "]"}]}]], "Input",
 CellLabel->"In[12]:=",ExpressionUUID->"496eb620-a86c-4161-8d9b-cc660efaf506"],

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"\"\<test.h5\>\"", ",", "\"\<Datasets\>\""}], "]"}]], "Input",
 CellLabel->"In[13]:=",ExpressionUUID->"c936fc3f-9438-485a-8d1d-5db0a4c45dd3"],

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"\"\<test.h5\>\"", ",", "\"\<DataFormat\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.748344035206905*^9, 3.748344044503757*^9}, {
  3.748349689453435*^9, 3.7483497024754066`*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"e5ef7553-eaed-42df-9e4d-061286c158b1"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"be9c3606-95f8-4256-974c-2af76275f0c1"],

Cell[CellGroupData[{

Cell["HDF5: Partial access", "Section",
 CellChangeTimes->{{3.748633810870116*^9, 
  3.7486338434681*^9}},ExpressionUUID->"9cac811a-a50b-44f4-b845-e144bd7393ab"],

Cell["\<\
Datasets in HDF5 - homogeneous hyper-rectangular arrays, for example:\
\>", "Item",
 CellChangeTimes->{{3.748348795512396*^9, 3.748348816055073*^9}, {
   3.7483488642434893`*^9, 3.748348893766128*^9}, 
   3.748633818286105*^9},ExpressionUUID->"b66cd574-73a8-4293-b826-\
7d5f8a8200cc"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<paTest.h5\>\"", ",", 
    TagBox[
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"1", "1", "1", "1", "1", "2", "2", "2", "2", "2"},
        {"1", "1", "5", "5", "5", "5", "2", "2", "2", "2"},
        {"1", "1", "5", "5", "5", "5", "2", "2", "2", "2"},
        {"1", "1", "5", "5", "5", "5", "2", "2", "2", "2"},
        {"1", "1", "1", "1", "1", "2", "2", "2", "2", "2"},
        {"1", "1", "1", "1", "1", "2", "2", "2", "2", "2"},
        {"1", "1", "1", "1", "1", "2", "2", "2", "2", "2"},
        {"1", "1", "1", "1", "1", "2", "2", "2", "2", "2"}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.7]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}], "\[NoBreak]", ")"}],
     Function[BoxForm`e$, 
      MatrixForm[BoxForm`e$]]]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.748348904213648*^9, 3.748348916349471*^9}, {
  3.7483489511373243`*^9, 3.7483489657281*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"5227f968-242d-41f6-a76c-acaa12427e09"],

Cell[CellGroupData[{

Cell[TextData[{
 "\[OpenCurlyDoubleQuote]TakeElements\[CloseCurlyDoubleQuote] \[Rule] { ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["pos", "1"], TraditionalForm]], "None",ExpressionUUID->
  "00f5ebf5-0a67-451e-a499-3fc7dc72cfe3"],
 ", ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["pos", "2"], TraditionalForm]], "None",ExpressionUUID->
  "b986b2e1-1a69-4b63-99cd-80fb19a5fc75"],
 ", ... }"
}], "Subsection",ExpressionUUID->"ee9d0b78-9473-45ec-a773-373a548d6819"],

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"\"\<paTest.h5\>\"", ",", 
   RowBox[{"{", 
    RowBox[{"\"\<Data\>\"", ",", "\"\</Dataset1\>\""}], "}"}], ",", 
   RowBox[{"\"\<TakeElements\>\"", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"2", ",", "3"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellLabel->"In[16]:=",ExpressionUUID->"2e0156f7-a1d3-4fa2-9c6d-188fc1dce803"],

Cell["It\[CloseCurlyQuote]s fast:", "Text",
 CellChangeTimes->{{3.7483495844440928`*^9, 
  3.7483495897586937`*^9}},ExpressionUUID->"39ea5448-cfb6-4680-914a-\
a7dc94c2fd47"],

Cell[BoxData[
 RowBox[{
  RowBox[{"points", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"2000", "+", "#"}], ",", 
       RowBox[{"2000", "+", "#"}], ",", "#"}], "}"}], "&"}], "/@", 
    RowBox[{"Range", "[", "5", "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.748349741632533*^9, 3.748349750793223*^9}, 
   3.748350138619677*^9},
 CellLabel->"In[17]:=",ExpressionUUID->"910f8376-7aa9-408f-84be-9a4456476a9b"],

Cell[BoxData[
 RowBox[{"AbsoluteTiming", "@", 
  RowBox[{"MaxMemoryUsed", "@", 
   RowBox[{"Import", "[", 
    RowBox[{"\"\<test.h5\>\"", ",", 
     RowBox[{"{", 
      RowBox[{"\"\<Data\>\"", ",", "\"\</Dataset1\>\""}], "}"}], ",", 
     RowBox[{"\"\<TakeElements\>\"", "\[Rule]", "points"}]}], 
    "]"}]}]}]], "Input",
 CellLabel->"In[18]:=",ExpressionUUID->"fdb03787-b897-4be6-8cb0-e8fc5cd7a2a7"],

Cell[BoxData[
 RowBox[{"AbsoluteTiming", "@", 
  RowBox[{"MaxMemoryUsed", "@", 
   RowBox[{"Extract", "[", 
    RowBox[{
     RowBox[{"Import", "[", 
      RowBox[{"\"\<test.h5\>\"", ",", 
       RowBox[{"{", 
        RowBox[{"\"\<Data\>\"", ",", "\"\</Dataset1\>\""}], "}"}]}], "]"}], 
     ",", "points"}], "]"}]}]}]], "Input",
 CellLabel->"In[19]:=",ExpressionUUID->"99418f05-ae16-4260-95bf-0b75257f9e59"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "\[OpenCurlyDoubleQuote]TakeElements\[CloseCurlyDoubleQuote] \[Rule] { ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["Span", "1"], ","}], TraditionalForm]], "None",
  ExpressionUUID->"99363ae0-6861-4362-b3e3-c64d13bf9468"],
 " ..., ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Span", "n"], TraditionalForm]], "None",ExpressionUUID->
  "af0a7566-4263-4ff7-be80-ae2bbd591b0e"],
 " }"
}], "Subsection",
 CellChangeTimes->{{3.74834990916644*^9, 3.7483499403733997`*^9}, {
   3.7483500692209387`*^9, 3.748350099134942*^9}, 
   3.748633847252722*^9},ExpressionUUID->"b079b26a-b326-478c-ab36-\
b13a4d5431a8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Import", "[", 
   RowBox[{"\"\<paTest.h5\>\"", ",", 
    RowBox[{"{", 
     RowBox[{"\"\<Data\>\"", ",", "\"\</Dataset1\>\""}], "}"}], ",", 
    RowBox[{"\"\<TakeElements\>\"", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"2", ";;", "4"}], ",", 
       RowBox[{"3", ";;", "6"}]}], "}"}]}]}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellLabel->"In[20]:=",ExpressionUUID->"fb9e64d8-4ddd-4787-a1ab-329404a80f9a"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
\[OpenCurlyDoubleQuote]TakeElements\[CloseCurlyDoubleQuote] \[Rule] { \
\[OpenCurlyDoubleQuote]Offset\[CloseCurlyDoubleQuote] \[Rule] ..., \
\[OpenCurlyDoubleQuote]Stride\[CloseCurlyDoubleQuote] \[Rule] ..., \
\[OpenCurlyDoubleQuote]Count\[CloseCurlyDoubleQuote] \[Rule] ..., \
\[OpenCurlyDoubleQuote]Block\[CloseCurlyDoubleQuote] \[Rule] ... }\
\>", "Subsection",
 CellChangeTimes->{{3.74835044530096*^9, 3.7483505034797564`*^9}, 
   3.748633848898601*^9},ExpressionUUID->"a42e6686-abc9-4bad-85a6-\
375c69a69e5e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"positions", ",", 
       RowBox[{"bckgrnd", "=", 
        RowBox[{
         RowBox[{"ColorData", "[", "\"\<Crayola\>\"", "]"}], "[", 
         "\"\<NavyBlue\>\"", "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"positions", "=", 
       RowBox[{"Quiet", "@", 
        RowBox[{"Import", "[", 
         RowBox[{"\"\<20x20.h5\>\"", ",", "\"\</d\>\"", ",", 
          RowBox[{"\"\<TakeElements\>\"", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\"\<Offset\>\"", "\[Rule]", 
              RowBox[{"Reverse", "@", "offset"}]}], ",", 
             RowBox[{"\"\<Stride\>\"", "\[Rule]", 
              RowBox[{"Reverse", "@", "stride"}]}], ",", 
             RowBox[{"\"\<Count\>\"", "\[Rule]", 
              RowBox[{"Reverse", "@", "count"}]}], ",", 
             RowBox[{"\"\<Block\>\"", "\[Rule]", 
              RowBox[{"Reverse", "@", "block"}]}]}], "}"}]}]}], "]"}]}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"Grid", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{"Null", ",", 
          RowBox[{"{", "gridSize", "}"}], ",", 
          RowBox[{"{", "gridSize", "}"}]}], "]"}], ",", 
        RowBox[{"Frame", "\[Rule]", "All"}], ",", 
        RowBox[{"ItemSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], ",", 
        RowBox[{"Background", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"None", ",", "None", ",", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"QuotientRemainder", "[", 
                  RowBox[{"#", ",", "gridSize"}], "]"}], "+", "1"}], ")"}], 
               "\[Rule]", "bckgrnd"}], ")"}], "&"}], "/@", 
            RowBox[{"Flatten", "[", "positions", "]"}]}]}], "}"}]}]}], 
       "]"}]}]}], "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Row", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Control", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"offset", ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", "\"\<Offset\>\""}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"gridSize", "-", "1"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"gridSize", "-", "1"}], ",", "0"}], "}"}], ",", "1", ",", 
         RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], "]"}],
       ",", "\[IndentingNewLine]", 
      RowBox[{"Control", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"count", ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "1"}], "}"}], ",", "\"\<Count\>\""}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "gridSize"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"gridSize", ",", "1"}], "}"}], ",", "1", ",", 
         RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], "]"}],
       ",", "\[IndentingNewLine]", 
      RowBox[{"Control", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"stride", ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "1"}], "}"}], ",", "\"\<Stride\>\""}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "10"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"10", ",", "1"}], "}"}], ",", "1", ",", 
         RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], "]"}],
       ",", "\[IndentingNewLine]", 
      RowBox[{"Control", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"block", ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "1"}], "}"}], ",", "\"\<Block\>\""}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "5"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "1"}], "}"}], ",", "1", ",", 
         RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], 
       "]"}]}], "}"}], "]"}], "\[IndentingNewLine]", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"LabelStyle", "\[Rule]", "12"}], "\[IndentingNewLine]", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"gridSize", "=", "25"}], ";", "\[IndentingNewLine]", 
      RowBox[{"Export", "[", 
       RowBox[{"\"\<20x20.h5\>\"", ",", 
        RowBox[{"\"\</d\>\"", "\[Rule]", 
         RowBox[{"ArrayReshape", "[", 
          RowBox[{
           RowBox[{"Range", "[", 
            RowBox[{"0", ",", 
             RowBox[{
              RowBox[{"gridSize", "*", "gridSize"}], "-", "1"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"gridSize", ",", "gridSize"}], "}"}]}], "]"}]}]}], 
       "]"}]}], "\[IndentingNewLine]", "}"}]}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellLabel->"In[3]:=",ExpressionUUID->"10db996e-7510-4bb4-adca-b638b52931df"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`block$$ = {1, 1}, $CellContext`count$$ = {1,
     1}, $CellContext`offset$$ = {0, 0}, $CellContext`stride$$ = {1, 1}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`offset$$], {0, 0}, "Offset"}, {0, 24}, {24, 0}, 1}, {{
       Hold[$CellContext`count$$], {1, 1}, "Count"}, {1, 25}, {25, 1}, 1}, {{
       Hold[$CellContext`stride$$], {1, 1}, "Stride"}, {1, 10}, {10, 1}, 1}, {{
       Hold[$CellContext`block$$], {1, 1}, "Block"}, {1, 5}, {5, 1}, 1}, {
      Hold[
       Row[{
         Manipulate`Place[1], 
         Manipulate`Place[2], 
         Manipulate`Place[3], 
         Manipulate`Place[4]}]], Manipulate`Dump`ThisIsNotAControl}}, 
    Typeset`size$$ = {628., {223.634033203125, 229.365966796875}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`offset$3622$$ = 0, $CellContext`count$3627$$ = 
    0, $CellContext`stride$3628$$ = 0, $CellContext`block$3629$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     2, StandardForm, 
      "Variables" :> {$CellContext`block$$ = {1, 1}, $CellContext`count$$ = {
         1, 1}, $CellContext`offset$$ = {0, 0}, $CellContext`stride$$ = {1, 
         1}}, "ControllerVariables" :> {
        Hold[$CellContext`offset$$, $CellContext`offset$3622$$, 0], 
        Hold[$CellContext`count$$, $CellContext`count$3627$$, 0], 
        Hold[$CellContext`stride$$, $CellContext`stride$3628$$, 0], 
        Hold[$CellContext`block$$, $CellContext`block$3629$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Block[{$CellContext`positions, $CellContext`bckgrnd = 
         ColorData["Crayola"]["NavyBlue"]}, $CellContext`positions = Quiet[
           Import[
           "20x20.h5", "/d", 
            "TakeElements" -> {
             "Offset" -> Reverse[$CellContext`offset$$], "Stride" -> 
              Reverse[$CellContext`stride$$], "Count" -> 
              Reverse[$CellContext`count$$], "Block" -> 
              Reverse[$CellContext`block$$]}]]; Grid[
          Table[Null, {$CellContext`gridSize}, {$CellContext`gridSize}], 
          Frame -> All, ItemSize -> {1, 1}, Background -> {None, None, 
            Map[
            QuotientRemainder[#, $CellContext`gridSize] + 
              1 -> $CellContext`bckgrnd& , 
             Flatten[$CellContext`positions]]}]], 
      "Specifications" :> {{{$CellContext`offset$$, {0, 0}, "Offset"}, {
         0, -1 + $CellContext`gridSize}, {-1 + $CellContext`gridSize, 0}, 1, 
         Appearance -> "Labeled", ControlPlacement -> 
         1}, {{$CellContext`count$$, {1, 1}, "Count"}, {
         1, $CellContext`gridSize}, {$CellContext`gridSize, 1}, 1, Appearance -> 
         "Labeled", ControlPlacement -> 
         2}, {{$CellContext`stride$$, {1, 1}, "Stride"}, {1, 10}, {10, 1}, 1, 
         Appearance -> "Labeled", ControlPlacement -> 
         3}, {{$CellContext`block$$, {1, 1}, "Block"}, {1, 5}, {5, 1}, 1, 
         Appearance -> "Labeled", ControlPlacement -> 4}, 
        Row[{
          Manipulate`Place[1], 
          Manipulate`Place[2], 
          Manipulate`Place[3], 
          Manipulate`Place[4]}]}, "Options" :> {LabelStyle -> 12}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{713., {308., 314.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`gridSize = 25; 
       Export["20x20.h5", "/d" -> ArrayReshape[
           Range[
           0, $CellContext`gridSize $CellContext`gridSize - 
            1], {$CellContext`gridSize, $CellContext`gridSize}]]}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.748777209998886*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"a7837aa6-a5b9-4f74-8697-03a0f073ad55"]
}, {2}]]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"a9fc694a-a294-4b6c-a002-098ba88ef559"],

Cell[CellGroupData[{

Cell["HDF5: Export elements", "Section",ExpressionUUID->"e06380e2-e735-4d54-ae45-177cfaee2a0d"],

Cell[CellGroupData[{

Cell["Datasets", "Subsection",
 CellChangeTimes->{{3.748354718198476*^9, 
  3.748354719083971*^9}},ExpressionUUID->"c1d8578b-e7c4-4a3a-bab7-\
7ce59748f12a"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<datasets.h5\>\"", ",", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\"\<MyDataset\>\"", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"3", ",", "5", ",", "7"}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"\"\<MyGroup/Dataset\>\"", "\[Rule]", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"\"\<Data\>\"", "\[Rule]", 
          RowBox[{"RandomReal", "[", 
           RowBox[{"1.", ",", 
            RowBox[{"{", 
             RowBox[{"3", ",", "3"}], "}"}]}], "]"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"\"\<DataFormat\>\"", "\[Rule]", "\"\<Real32\>\""}]}], 
        "\[IndentingNewLine]", "}"}]}]}], "\[IndentingNewLine]", "}"}], ",", 
    "\"\<Datasets\>\""}], "]"}], ";"}], "\n", 
 RowBox[{"Import", "[", 
  RowBox[{"%", ",", "\"\<Data\>\""}], "]"}]}], "Input",
 CellChangeTimes->{3.748777224057055*^9},
 CellLabel->"In[4]:=",ExpressionUUID->"b69135e2-6ce0-4def-8534-b01b688388dd"]
}, Closed]],

Cell[CellGroupData[{

Cell["Groups", "Subsection",
 CellChangeTimes->{{3.748354723311153*^9, 
  3.748354724116502*^9}},ExpressionUUID->"c1d80c5f-1c7f-44cd-abd5-\
adcfdc618c78"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<groups.h5\>\"", ",", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
     "\"\<GroupA\>\"", ",", "\[IndentingNewLine]", "\"\<GroupB\>\"", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"\"\<GroupC\>\"", "\[Rule]", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"\"\<SoftLinks\>\"", "\[Rule]", 
          RowBox[{"\"\<LinkToA\>\"", "\[Rule]", "\"\</GroupA\>\""}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"\"\<HardLinks\>\"", "\[Rule]", 
          RowBox[{"\"\<LinkToMyself\>\"", "\[Rule]", "\"\</GroupC\>\""}]}]}], 
        "}"}]}]}], "\[IndentingNewLine]", "}"}], ",", "\"\<Groups\>\""}], 
   "]"}], ";"}], "\n", 
 RowBox[{"Import", "[", 
  RowBox[{"%", ",", "\"\<StructureGraph\>\""}], "]"}]}], "Input",
 CellChangeTimes->{
  3.7487772337943983`*^9},ExpressionUUID->"c6971b55-75ca-40a0-9492-\
0602eddd5c52"]
}, Closed]],

Cell[CellGroupData[{

Cell["NamedDataTypes", "Subsection",
 CellChangeTimes->{{3.748354728503923*^9, 
  3.748354730906433*^9}},ExpressionUUID->"40fef406-a1cb-428a-ba9c-\
735589335eaf"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<datatypes.h5\>\"", ",", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
      "\"\<SimpleIntegerType\>\"", "\[Rule]", "\"\<UnsignedInteger16\>\""}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{"\"\<MyCompoundType\>\"", "\[Rule]", 
       RowBox[{"<|", 
        RowBox[{
         RowBox[{"\"\<Class\>\"", "\[Rule]", "\"\<Compound\>\""}], ",", 
         RowBox[{"\"\<Structure\>\"", "\[Rule]", 
          RowBox[{"<|", 
           RowBox[{
            RowBox[{"\"\<Latitude\>\"", "\[Rule]", "\"\<Real64\>\""}], ",", 
            RowBox[{"\"\<Longitude\>\"", "\[Rule]", "\"\<Real64\>\""}], ",", 
            RowBox[{"\"\<Description\>\"", "\[Rule]", "\"\<String\>\""}]}], 
           "|>"}]}]}], "|>"}]}]}], "\[IndentingNewLine]", "}"}], ",", 
    "\"\<NamedDataTypes\>\""}], "]"}], ";"}], "\n", 
 RowBox[{"Import", "[", 
  RowBox[{"%", ",", "\"\<GroupInformation\>\""}], "]"}]}], "Input",
 CellChangeTimes->{
  3.748777240236545*^9},ExpressionUUID->"4e6246d6-d12f-45bb-96fd-\
2f7bb0a43255"]
}, Closed]],

Cell[CellGroupData[{

Cell["Attributes", "Subsection",
 CellChangeTimes->{{3.748354733685985*^9, 
  3.748354735730637*^9}},ExpressionUUID->"1b44b7a2-16a2-4937-b249-\
315e007a90e8"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<attributes.h5\>\"", ",", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\"\<Datasets\>\"", "\[Rule]", 
       RowBox[{"\"\<MyDataset\>\"", "\[Rule]", 
        RowBox[{"{", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"\"\<Data\>\"", "\[Rule]", 
           RowBox[{"Range", "[", "10", "]"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"\"\<Attributes\>\"", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<Unit\>\"", "\[Rule]", "\"\<Meters\>\""}], "}"}]}]}], 
         "\[IndentingNewLine]", "}"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"\"\<Attributes\>\"", "\[Rule]", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"\"\</\>\"", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<RootGroupAttribute\>\"", "\[Rule]", "0"}], "}"}]}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"\"\<MyDataset\>\"", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<DataHash\>\"", "\[Rule]", 
            RowBox[{"Hash", "[", 
             RowBox[{
              RowBox[{"Range", "[", "10", "]"}], ",", "\"\<MD5\>\"", ",", 
              "\"\<ByteArray\>\""}], "]"}]}], "}"}]}]}], 
        "\[IndentingNewLine]", "}"}]}]}], "\[IndentingNewLine]", "}"}], ",", 
    "\"\<Rules\>\""}], "]"}], ";"}], "\n", 
 RowBox[{"Import", "[", 
  RowBox[{"%", ",", "\"\<Attributes\>\""}], "]"}]}], "Input",
 CellChangeTimes->{
  3.748777245306794*^9},ExpressionUUID->"12ecc80c-42f0-4ffd-b186-\
f9a5ec592a08"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"6875dacc-749f-48e4-99bf-d91537a65c64"],

Cell[CellGroupData[{

Cell["HDF5: More data types", "Section",ExpressionUUID->"800ec5f5-6fa2-4004-a87b-5f7238b580e3"],

Cell[CellGroupData[{

Cell["Complex numbers", "Subsection",ExpressionUUID->"f41d30e7-27ea-4b4f-99a7-28201abb0562"],

Cell[BoxData[
 RowBox[{"Import", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{"\"\<dsets.h5\>\"", ",", 
     RowBox[{"3.", "+", 
      RowBox[{"5.", "*", "I"}]}], ",", 
     RowBox[{"\"\<ComplexKeys\>\"", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<re\>\"", ",", "\"\<im\>\""}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\"\<Data\>\"", ",", " ", "\"\<DataFormat\>\""}], "}"}], ",", 
     "\"\<Dataset1\>\""}], "}"}], ",", 
   RowBox[{"\"\<ComplexKeys\>\"", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<re\>\"", ",", "\"\<im\>\""}], "}"}]}]}], "]"}]], "Input",
 CellLabel->"In[30]:=",ExpressionUUID->"cc3e4225-479e-4e7c-ac80-a25daddf467c"]
}, Closed]],

Cell[CellGroupData[{

Cell["String", "Subsection",
 CellChangeTimes->{{3.739768331644006*^9, 
  3.739768332092256*^9}},ExpressionUUID->"46bd73ef-374a-4fc8-a558-\
1b781ea46fa0"],

Cell["UTF-8 is supported:", "Text",
 CellChangeTimes->{{3.740414833160174*^9, 
  3.74041484311205*^9}},ExpressionUUID->"ff774883-14d2-4179-a490-\
3f8f1bf18ebb"],

Cell[BoxData[
 RowBox[{"Import", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{"\"\<dsets.h5\>\"", ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<Hello\>\"", ",", "\"\<World\>\"", ",", 
       "\"\<\[Alpha]\[Beta]\[Gamma]\.b3\[Cent]\.b2\[Section]\[RightGuillemet]\
\>\""}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", "\"\</Dataset1\>\""}], 
  "]"}]], "Input",
 CellLabel->"In[31]:=",ExpressionUUID->"1942890c-7e30-45b8-b075-40e5b15723e9"]
}, Closed]],

Cell[CellGroupData[{

Cell["Raw Bytes", "Subsection",
 CellChangeTimes->{{3.7397683651323433`*^9, 3.73976837087597*^9}, {
  3.7483540480778837`*^9, 
  3.748354053550159*^9}},ExpressionUUID->"e806ba0c-011d-4607-82ae-\
a68b73ed45d9"],

Cell["\<\
Opaque type can be used for storing lists of bytes with no predefined \
meaning. In WL, opaque types are represented as ByteArrays.\
\>", "Text",ExpressionUUID->"3c1397a2-868b-4798-a914-c530639faf9a"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<hash.h5\>\"", ",", 
    RowBox[{"Hash", "[", 
     RowBox[{
     "\"\<Secret passphrase: Wolfram Technology Conference\>\"", ",", 
      "\"\<SHA256\>\"", ",", "\"\<ByteArray\>\""}], "]"}]}], "]"}], 
  ";"}], "\n", 
 RowBox[{"Import", "[", 
  RowBox[{"%", ",", "\"\</Dataset1\>\""}], "]"}]}], "Input",
 CellChangeTimes->{
  3.748777263599083*^9},ExpressionUUID->"c749771e-a78a-4a1f-a3a3-\
e2f38380637a"]
}, Closed]],

Cell[CellGroupData[{

Cell["Compound", "Subsection",
 CellChangeTimes->{{3.739768376651752*^9, 
  3.7397683789720707`*^9}},ExpressionUUID->"18a6c9d2-ed23-4b25-b098-\
05b6120963bb"],

Cell["\<\
Compound is the most flexible type in HDF5 - it\[CloseCurlyQuote]s a map of \
key -> value pairs, where each key is a string. In WL compound types are \
represented as Associations:\
\>", "Text",ExpressionUUID->"9c3756ed-a8ad-4f40-9685-7408d1f8462b"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<cmpnd.h5\>\"", ",", 
    RowBox[{"\"\<MyDataset\>\"", "\[Rule]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{"<|", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\"\<Measurements\>\"", "\[Rule]", 
         RowBox[{"Range", "[", "10", "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"\"\<Unit\>\"", "\[Rule]", "\"\<Meters\>\""}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"\"\<Location\>\"", "\[Rule]", 
         RowBox[{"<|", 
          RowBox[{
           RowBox[{"\"\<Latitude\>\"", "\[Rule]", "56.43463"}], ",", 
           RowBox[{"\"\<Longitude\>\"", "\[Rule]", "47.29347"}]}], "|>"}]}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"\"\<AuthorID\>\"", "\[Rule]", 
         RowBox[{"Hash", "[", 
          RowBox[{
          "\"\<rafalc@wolfram.com\>\"", ",", "\"\<SHA256\>\"", ",", 
           "\"\<ByteArray\>\""}], "]"}]}]}], "\[IndentingNewLine]", "|>"}], 
      "\[IndentingNewLine]", "}"}]}]}], "]"}], ";"}], "\n", 
 RowBox[{"Import", "[", 
  RowBox[{"%", ",", 
   RowBox[{"{", 
    RowBox[{"\"\<Data\>\"", ",", "\"\<MyDataset\>\""}], "}"}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{
  3.748777267178636*^9},ExpressionUUID->"c77cb063-f0ca-4f52-a359-\
7195e6ccbc50"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"daf4aa57-8f33-4049-bf98-abd76e1dc978"],

Cell[CellGroupData[{

Cell["HDF5: \[OpenCurlyDoubleQuote]AppendMode\[CloseCurlyDoubleQuote]", \
"Section",ExpressionUUID->"c0670b53-fe5b-4064-a272-5eb6b7ec31e5"],

Cell[TextData[{
 "Option that allows for multi-step export and modification of existing \
files. Requires ",
 StyleBox["OverwriteTarget \[Rule] \[OpenCurlyDoubleQuote]Append\
\[CloseCurlyDoubleQuote]",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellChangeTimes->{{3.7483524077039413`*^9, 3.748352448178879*^9}, {
  3.748352510777313*^9, 
  3.748352516796282*^9}},ExpressionUUID->"93fed965-d426-4499-917d-\
13a5600f6b46"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<append.h5\>\"", ",", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\"\<Datasets\>\"", "\[Rule]", 
       RowBox[{"\"\</gr1/d1\>\"", "\[Rule]", 
        RowBox[{"Range", "[", "10", "]"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"\"\<Groups\>\"", "\[Rule]", 
       RowBox[{"{", "\"\</My/Group\>\"", "}"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"\"\<Attributes\>\"", "\[Rule]", 
       RowBox[{"\"\</gr1/d1\>\"", "\[Rule]", 
        RowBox[{"\"\<myAttr\>\"", "\[Rule]", "5"}]}]}]}], 
     "\[IndentingNewLine]", "}"}], ",", "\"\<Rules\>\""}], "]"}], 
  ";"}]], "Input",
 CellLabel->"In[36]:=",ExpressionUUID->"0a4d6517-c092-4fa7-a651-c5ab01eca247"],

Cell[CellGroupData[{

Cell["\[OpenCurlyDoubleQuote]Extend\[CloseCurlyDoubleQuote]", "Subsection",
 CellChangeTimes->{{3.7409932848206577`*^9, 3.74099329645194*^9}, {
  3.748352871921513*^9, 3.7483528832615547`*^9}, {3.748634004378417*^9, 
  3.7486340204955273`*^9}},ExpressionUUID->"968846e7-a169-44cd-9812-\
e74c372d1b83"],

Cell[CellGroupData[{

Cell["Default value", "Item",
 CellChangeTimes->{{3.748353179209424*^9, 
  3.748353187333602*^9}},ExpressionUUID->"224c4ad0-0243-4d76-9b26-\
ab4b287f39f7"],

Cell["You can add new objects and new features to existing objects", "Item",
 CellChangeTimes->{{3.748353179209424*^9, 3.748353215339863*^9}, {
  3.748353650353087*^9, 
  3.748353684217969*^9}},ExpressionUUID->"c8d9506a-8ae1-43d6-b5b3-\
eaf72dd2f6f1"],

Cell[TextData[{
 "Extend existing datasets by appending new data provided that the data-type \
and dimensions match (",
 StyleBox["not ready yet",
  FontColor->RGBColor[1, 0, 0]],
 ")."
}], "Item",ExpressionUUID->"13162a86-964e-4bcd-ad74-0cf2da3f98a1"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<append.h5\>\"", ",", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\"\<Datasets\>\"", "\[Rule]", 
       RowBox[{"\"\</gr1/d2\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<Hello\>\"", ",", "\"\<World\>\""}], "}"}]}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"\"\<Groups\>\"", "\[Rule]", 
       RowBox[{"\"\</My\>\"", "\[Rule]", 
        RowBox[{"\"\<HardLinks\>\"", "\[Rule]", 
         RowBox[{"\"\<link\>\"", "\[Rule]", "\"\</gr1\>\""}]}]}]}]}], 
     "\[IndentingNewLine]", "}"}], ",", "\"\<Rules\>\"", ",", 
    RowBox[{"OverwriteTarget", "\[Rule]", "\"\<Append\>\""}], ",", 
    RowBox[{"\"\<AppendMode\>\"", "\[Rule]", "\"\<Extend\>\""}]}], "]"}], 
  ";"}], "\n", 
 RowBox[{"Import", "[", 
  RowBox[{"%", ",", "\"\<StructureGraph\>\""}], "]"}]}], "Input",
 CellChangeTimes->{
  3.748777276619217*^9},ExpressionUUID->"3e7dc58c-0a85-42e4-9ff3-\
5faf75ff940c"]
}, Closed]],

Cell[CellGroupData[{

Cell["\[OpenCurlyDoubleQuote]Overwrite\[CloseCurlyDoubleQuote]", "Subsection",
 CellChangeTimes->{{3.7409933072361317`*^9, 3.740993308452299*^9}, 
   3.74835289564014*^9, {3.7486340079530478`*^9, 
   3.748634015791808*^9}},ExpressionUUID->"6f3d163e-9949-451b-91dc-\
1728c7cd5e27"],

Cell[CellGroupData[{

Cell["You can add new objects and new features to existing objects", "Item",
 CellChangeTimes->{{3.748353179209424*^9, 3.748353215339863*^9}, {
  3.748353650353087*^9, 
  3.748353684217969*^9}},ExpressionUUID->"3947e62d-8e66-4a3e-9ba0-\
e80e2befa657"],

Cell["\<\
Can modify existing objects as long as it\[CloseCurlyQuote]s allowed by HDF5 \
specification\
\>", "Item",ExpressionUUID->"228afcf1-1f51-4be4-ba1f-098c0d09d9a6"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<append.h5\>\"", ",", "\[IndentingNewLine]", 
    RowBox[{"\"\</\>\"", "\[Rule]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{"\"\<HardLinks\>\"", "\[Rule]", 
       RowBox[{"\"\<gr1\>\"", "\[Rule]", "\"\<My/Group\>\""}]}], 
      "\[IndentingNewLine]", "}"}]}], ",", "\[IndentingNewLine]", 
    "\"\<Groups\>\"", ",", 
    RowBox[{"OverwriteTarget", "->", "\"\<Append\>\""}], ",", 
    RowBox[{"\"\<AppendMode\>\"", "\[Rule]", "\"\<Overwrite\>\""}]}], "]"}], 
  ";"}], "\n", 
 RowBox[{"Import", "[", 
  RowBox[{"%", ",", "\"\<StructureGraph\>\""}], "]"}]}], "Input",
 CellChangeTimes->{
  3.748777281757329*^9},ExpressionUUID->"79f7a51b-8a8b-45eb-8f9a-\
734c29111693"],

Cell["\<\
You can also modify the data in existing datasets as long as DataFormat and \
Dimensions match:\
\>", "Text",ExpressionUUID->"120f3f45-4f3f-4548-92ba-f54f648c1b5b"],

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"\"\<append.h5\>\"", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\"\<Data\>\"", ",", "\"\<DataFormat\>\"", ",", "\"\<Dimensions\>\""}], 
      "}"}], ",", "\"\<My/link/d1\>\""}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.741412430592595*^9, 3.7414124830706387`*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"62455767-6a73-48f0-a308-119f57c0a133"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<append.h5\>\"", ",", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"\"\<My/link/d1\>\"", "\[Rule]", 
      RowBox[{"Reverse", "@", 
       RowBox[{"Range", "[", "10", "]"}]}]}], "\[IndentingNewLine]", "}"}], 
    ",", 
    RowBox[{"OverwriteTarget", "->", "\"\<Append\>\""}], ",", 
    RowBox[{"\"\<AppendMode\>\"", "\[Rule]", "\"\<Overwrite\>\""}]}], "]"}], 
  ";"}], "\n", 
 RowBox[{"Import", "[", 
  RowBox[{"%", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\"\<Data\>\"", ",", "\"\<DataFormat\>\"", ",", "\"\<Dimensions\>\""}], 
      "}"}], ",", "\"\<My/link/d1\>\""}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{
  3.748777283768961*^9},ExpressionUUID->"da01e6b3-13e2-481e-a72b-\
a284fe921a1d"]
}, Closed]],

Cell[CellGroupData[{

Cell["\[OpenCurlyDoubleQuote]Preserve\[CloseCurlyDoubleQuote]", "Subsection",
 CellChangeTimes->{{3.740993301860519*^9, 3.740993302708593*^9}, 
   3.748352896982053*^9, {3.748634027535844*^9, 
   3.748634030718451*^9}},ExpressionUUID->"d304ec44-2bb9-4689-b544-\
672fc3769e0f"],

Cell["\<\
This is the safest variant of appending. It only allows you to add new \
objects to the file but you cannot touch existing ones:\
\>", "Text",
 CellChangeTimes->{{3.741272577642214*^9, 
  3.741272608186838*^9}},ExpressionUUID->"94dae0fc-9a50-4a47-9267-\
d15285736851"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<append.h5\>\"", ",", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\"\<Datasets\>\"", "\[Rule]", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{"\"\</My/NewDataset\>\"", "\[Rule]", 
         RowBox[{"ByteArray", "[", 
          RowBox[{"Range", "[", "20", "]"}], "]"}]}], "\[IndentingNewLine]", 
        "}"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"\"\<Groups\>\"", "\[Rule]", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{"\"\</My\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"\"\<HardLinks\>\"", "\[Rule]", 
           RowBox[{"\"\<link\>\"", "\[Rule]", "\"\</\>\""}]}], "}"}]}], 
        "\[IndentingNewLine]", "}"}]}]}], "\[IndentingNewLine]", "}"}], ",", 
    "\"\<Rules\>\"", ",", 
    RowBox[{"OverwriteTarget", "->", "\"\<Append\>\""}], ",", 
    RowBox[{"\"\<AppendMode\>\"", "\[Rule]", "\"\<Preserve\>\""}]}], "]"}], 
  ";"}], "\n", 
 RowBox[{"Import", "[", 
  RowBox[{"%", ",", "\"\<StructureGraph\>\""}], "]"}]}], "Input",
 CellChangeTimes->{
  3.748777289202552*^9},ExpressionUUID->"9ef08384-5d6e-47b6-9ba9-\
648e0ae4bb94"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"5893853d-43bc-4fab-a04a-1a43cb8f8b5c"],

Cell[CellGroupData[{

Cell["HDF5: NumericArray support", "Section",ExpressionUUID->"3d86ebea-555d-482c-94b1-e909fa8dcd90"],

Cell["\<\
NumericArray - new memory-efficient container for numerical data introduced \
in version 12.0:\
\>", "Text",ExpressionUUID->"e5c640aa-21a2-4677-bdce-f8eb99a43a58"],

Cell[BoxData[
 RowBox[{"ByteCount", "[", 
  RowBox[{"RandomInteger", "[", 
   RowBox[{"100", ",", 
    RowBox[{"{", 
     RowBox[{"1000", ",", "1000"}], "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.748351864281844*^9, 3.7483518837788677`*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"046b8ca5-ce0b-4369-bd06-2c250acf62ab"],

Cell[BoxData[
 RowBox[{"ByteCount", "[", 
  RowBox[{"NumericArray", "[", 
   RowBox[{
    RowBox[{"RandomInteger", "[", 
     RowBox[{"100", ",", 
      RowBox[{"{", 
       RowBox[{"1000", ",", "1000"}], "}"}]}], "]"}], ",", 
    "\"\<UnsignedInteger8\>\""}], "]"}], "]"}]], "Input",
 CellLabel->"In[48]:=",ExpressionUUID->"2a7bf397-8e15-491b-afe4-ec949318d17f"],

Cell[BoxData[
 RowBox[{"myArray", "=", 
  RowBox[{"NumericArray", "[", 
   RowBox[{
    RowBox[{"RandomInteger", "[", 
     RowBox[{"100", ",", 
      RowBox[{"{", 
       RowBox[{"1000", ",", "1000"}], "}"}]}], "]"}], ",", 
    "\"\<UnsignedInteger8\>\""}], "]"}]}]], "Input",
 CellLabel->"In[49]:=",ExpressionUUID->"8a159695-f161-42af-b5d5-ecae0d9d129e"],

Cell["More on that in Piotr\[CloseCurlyQuote]s talk (2:30 PM, Little Chief)", \
"Text",
 CellChangeTimes->{{3.748351647408136*^9, 
  3.748351660106092*^9}},ExpressionUUID->"213ee8ab-4459-4020-8200-\
c42398efcb0b"],

Cell[CellGroupData[{

Cell["Export", "Subsection",
 CellChangeTimes->{{3.748352142989213*^9, 
  3.748352143651683*^9}},ExpressionUUID->"102b8147-c88a-44fc-bc41-\
db4d4dbb6826"],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<numArrayTest.h5\>\"", ",", "myArray"}], "]"}]], "Input",
 CellLabel->"In[50]:=",ExpressionUUID->"38aac1ce-b6e0-4821-8e29-5142c659e7d2"],

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"\"\<numArrayTest.h5\>\"", ",", 
   RowBox[{"{", 
    RowBox[{"\"\<DataFormat\>\"", ",", "\"\</Dataset1\>\""}], "}"}]}], 
  "]"}]], "Input",
 CellLabel->"In[51]:=",ExpressionUUID->"fe74e6a5-adef-4351-9154-264d23755f41"]
}, Closed]],

Cell[CellGroupData[{

Cell["Import", "Subsection",
 CellChangeTimes->{{3.748352130879899*^9, 
  3.74835213187853*^9}},ExpressionUUID->"c497e1cd-6843-4e06-b5e1-\
2a9c78c90b55"],

Cell[BoxData[
 RowBox[{"AbsoluteTiming", "[", 
  RowBox[{"MaxMemoryUsed", "@", 
   RowBox[{"Import", "[", 
    RowBox[{"\"\<test.h5\>\"", ",", "\"\<Data\>\""}], "]"}]}], "]"}]], "Input",
 CellLabel->"In[52]:=",ExpressionUUID->"2e0c0ddf-c4d9-4d76-a11a-2145bbe479d7"],

Cell[BoxData[
 RowBox[{"AbsoluteTiming", "[", 
  RowBox[{"MaxMemoryUsed", "@", 
   RowBox[{"Import", "[", 
    RowBox[{"\"\<test.h5\>\"", ",", "\"\<RawData\>\""}], "]"}]}], 
  "]"}]], "Input",
 CellLabel->"In[53]:=",ExpressionUUID->"b92512e2-68a6-46a8-8120-5387eb959a48"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"21ec20d2-5a3d-42c6-a363-b8454eb820f9"],

Cell[CellGroupData[{

Cell["FITS: Associations", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308340990994*^9, 3.514308352103572*^9}, {
   3.7486035621672077`*^9, 3.748603577888309*^9}, {3.7486036610241756`*^9, 
   3.7486037213193903`*^9}, {3.748607963746969*^9, 3.748607971194388*^9}, {
   3.7486250432829723`*^9, 3.748625047735376*^9}, {3.748625401102248*^9, 
   3.748625402926916*^9}, {3.748625538120994*^9, 3.748625557262512*^9}, {
   3.7486256975715923`*^9, 
   3.748625716878352*^9}},ExpressionUUID->"a8bf11e5-5395-42b2-90cb-\
444d67c944c3"],

Cell["\<\
Now the imported expression is always in the form of association:\
\>", "Text",
 CellChangeTimes->{{3.748625008442946*^9, 
  3.748625035474634*^9}},ExpressionUUID->"85f8c7d9-dfb2-47dc-a0f0-\
762f532adcee"],

Cell[BoxData[
 RowBox[{"Import", "[", "\"\<ExampleData/sample.fits\>\"", "]"}]], "Input",
 CellLabel->
  "In[166]:=",ExpressionUUID->"c0d8f0b1-d52b-4f53-b3b2-ebf45dd4b400"],

Cell["Even if there is only 1 HDU present:", "Text",
 CellChangeTimes->{{3.748625068830223*^9, 
  3.748625081629327*^9}},ExpressionUUID->"f94a3ed1-947f-4848-b364-\
2d9d219c7096"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<file.fits\>\"", ",", " ", 
    RowBox[{"RandomImage", "[", "]"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Import", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.748625092261765*^9, 3.748625096938057*^9}},
 CellLabel->
  "In[170]:=",ExpressionUUID->"c9e46e66-3fc6-4c96-9cae-d0dace25e002"],

Cell["And even if you specify the header:", "Text",
 CellChangeTimes->{{3.748625110799614*^9, 
  3.748625136182962*^9}},ExpressionUUID->"2b116ff6-5fb1-40c0-a225-\
99ca22a59b40"],

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"\"\<ExampleData/sample.fits\>\"", ",", " ", 
   RowBox[{"{", 
    RowBox[{"\"\<Image\>\"", ",", " ", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.748625142626391*^9, 3.748625148050911*^9}},
 CellLabel->
  "In[172]:=",ExpressionUUID->"4a92f565-92db-4f5f-891c-a6b1f6396c15"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"9fd8c747-e8ea-4b98-bf17-fe8851219983"],

Cell[CellGroupData[{

Cell["FITS: \
\[OpenCurlyDoubleQuote]IncludeExtensions\[CloseCurlyDoubleQuote]", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308340990994*^9, 3.514308352103572*^9}, {
   3.7486035621672077`*^9, 3.748603577888309*^9}, {3.7486036610241756`*^9, 
   3.7486037213193903`*^9}, {3.748607963746969*^9, 3.748607971194388*^9}, {
   3.7486250432829723`*^9, 3.748625047735376*^9}, 3.7486254062533283`*^9, 
   3.7486255595914793`*^9, {3.748625702920467*^9, 
   3.748625737000174*^9}},ExpressionUUID->"63f6d3b8-bfc4-4bd8-9ad5-\
6b43da3e0ebd"],

Cell["\<\
Now, the default is that only HDU-s that are relevant to data are imported:\
\>", "Text",
 CellChangeTimes->{{3.748625008442946*^9, 3.748625035474634*^9}, {
  3.748625190151404*^9, 
  3.748625193625039*^9}},ExpressionUUID->"bc7e0001-97e6-4e3c-bba2-\
9641b681b7fd"],

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{
  "\"\<ExampleData/sample.fits\>\"", ",", " ", "\"\<TableData\>\"", ",", " ", 
   RowBox[{"\"\<IncludeExtensions\>\"", " ", "\[Rule]", " ", "Automatic"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{3.7486252000578613`*^9},
 CellLabel->"In[19]:=",ExpressionUUID->"fffa71ae-3338-4395-9bda-dba472f831af"],

Cell["Instead of:", "Text",
 CellChangeTimes->{{3.748625068830223*^9, 3.748625081629327*^9}, 
   3.748625205787898*^9},ExpressionUUID->"f5ad893b-b59d-4ae0-9a32-\
4271c5671d63"],

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{
  "\"\<ExampleData/sample.fits\>\"", ",", " ", "\"\<TableData\>\"", ",", " ", 
   RowBox[{"\"\<IncludeExtensions\>\"", " ", "\[Rule]", " ", "All"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.748625092261765*^9, 3.748625096938057*^9}, 
   3.748625210867738*^9, {3.7486346157651987`*^9, 3.748634634899777*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"24e3688a-553f-459a-ae57-f516a1c58cc6"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"97ce9b41-6c10-4d3c-aa71-0303952b0749"],

Cell[CellGroupData[{

Cell["FITS: NumericArray", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308340990994*^9, 3.514308352103572*^9}, {
   3.7486035621672077`*^9, 3.748603577888309*^9}, {3.7486036610241756`*^9, 
   3.7486037213193903`*^9}, {3.748607963746969*^9, 3.748607971194388*^9}, {
   3.7486250432829723`*^9, 3.748625047735376*^9}, 3.7486254081389923`*^9, 
   3.748625561167808*^9, {3.748625725613641*^9, 
   3.748625727446581*^9}},ExpressionUUID->"06ca0c5c-162b-45ec-9af3-\
c72b7671f12c"],

Cell[TextData[{
 StyleBox["\[OpenCurlyDoubleQuote]RawData\[CloseCurlyDoubleQuote] ",
  FontSlant->"Italic"],
 "element now return ",
 StyleBox["NumericArray ",
  FontSlant->"Italic"],
 "instead of packed array:"
}], "Text",
 CellChangeTimes->{{3.748625008442946*^9, 3.748625035474634*^9}, {
  3.748625190151404*^9, 3.748625193625039*^9}, {3.748625243144302*^9, 
  3.7486252715061903`*^9}, {3.748625302372178*^9, 
  3.748625326614846*^9}},ExpressionUUID->"80b91551-0a7d-42a7-a976-\
ffdb6bbcb3c9"],

Cell[BoxData[
 RowBox[{"numericArray", "=", 
  RowBox[{"Import", "[", 
   RowBox[{
   "\"\<ExampleData/sample.fits\>\"", ",", " ", "\"\<RawData\>\"", ",", " ", 
    RowBox[{
    "\"\<IncludeExtensions\>\"", " ", "\[Rule]", " ", "\"\<Image\>\""}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{
  3.7486252000578613`*^9, 3.748625281502905*^9, {3.748625350549752*^9, 
   3.7486253581759987`*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"dbe7aa3c-b916-4830-8498-8ace5c947887"],

Cell[TextData[{
 StyleBox["NumericArray",
  FontSlant->"Italic"],
 " is also supported when exporting:"
}], "Text",
 CellChangeTimes->{{3.748625068830223*^9, 3.748625081629327*^9}, 
   3.748625205787898*^9, {3.7486253333296337`*^9, 
   3.748625345983073*^9}},ExpressionUUID->"cf49cc19-de53-43a2-98b7-\
9019c36e7e81"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<file.fits\>\"", ",", " ", "numericArray"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Import", "[", 
  RowBox[{"%", ",", " ", "\"\<Image\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.748625092261765*^9, 3.748625096938057*^9}, 
   3.748625210867738*^9, {3.7486253640003557`*^9, 3.748625377915965*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"1e1bb63b-4e29-4609-b44d-46b90aa09cb4"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"eb14fcc5-499d-43ec-bbb3-edf6377163d3"],

Cell[CellGroupData[{

Cell["FITS: Table export", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308340990994*^9, 3.514308352103572*^9}, {
   3.7486035621672077`*^9, 3.748603577888309*^9}, {3.7486036610241756`*^9, 
   3.7486037213193903`*^9}, {3.748607963746969*^9, 3.748607971194388*^9}, {
   3.7486250432829723`*^9, 3.748625047735376*^9}, 3.748625409939299*^9, 
   3.7486255633867407`*^9, {3.7486257419831343`*^9, 
   3.748625758831929*^9}},ExpressionUUID->"9460d8e6-c1b5-4976-bb90-\
b53002164aa7"],

Cell["\<\
Tables with multi-dimensional cells, that conform in dimensions within a \
single column, can be now exported:\
\>", "Text",
 CellChangeTimes->{{3.748625008442946*^9, 3.748625035474634*^9}, {
  3.748625447686462*^9, 
  3.7486254824308043`*^9}},ExpressionUUID->"8230962a-e18a-4388-948d-\
4d5912bb73b5"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<file.fits\>\"", ",", "\[IndentingNewLine]", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", "1", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"2.4", ",", "5.6"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "2", ",", "3"}], "}"}]}], "\[IndentingNewLine]", 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", "10", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1.6", ",", "7.8"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"10", ",", "20", ",", "30"}], "}"}]}], "\[IndentingNewLine]",
        "}"}]}], "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", "]"}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{"Import", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.748625488801429*^9, 3.748625507425824*^9}, {
  3.748634712829281*^9, 3.748634729845492*^9}},
 CellLabel->"In[30]:=",ExpressionUUID->"f2a3e6bb-11be-4989-b7f5-f0c5bd190b02"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"c7b1525b-a049-45ca-9582-1b4902781523"],

Cell[CellGroupData[{

Cell["FITS: Partial access", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308340990994*^9, 3.514308352103572*^9}, {
   3.7486035621672077`*^9, 3.748603577888309*^9}, {3.7486036610241756`*^9, 
   3.7486037213193903`*^9}, {3.748607963746969*^9, 3.748607971194388*^9}, {
   3.7486250432829723`*^9, 3.748625047735376*^9}, 3.748625409939299*^9, 
   3.748625564869673*^9, {3.748625768253352*^9, 
   3.748625771326338*^9}},ExpressionUUID->"a123d2ea-34ca-4e40-b1cf-\
972b26b2aa19"],

Cell["\<\
FITS fully supports the partial access for the HDU specification:\
\>", "Text",
 CellChangeTimes->{{3.748625008442946*^9, 3.748625035474634*^9}, {
  3.748625447686462*^9, 3.7486254824308043`*^9}, {3.748625573115129*^9, 
  3.748625604748459*^9}},ExpressionUUID->"493854bc-3050-4f12-a28e-\
fba0464146aa"],

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"\"\<ExampleData/sample.fits\>\"", ",", 
   RowBox[{"{", 
    RowBox[{"\"\<RawData\>\"", ",", " ", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.748625488801429*^9, 3.748625507425824*^9}, 
   3.7486256068093977`*^9},
 CellLabel->"In[28]:=",ExpressionUUID->"b40b19f6-2d82-44d3-9259-9fc663e0204a"],

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"\"\<ExampleData/sample.fits\>\"", ",", 
   RowBox[{"{", 
    RowBox[{"\"\<Data\>\"", ",", " ", 
     RowBox[{"1", ";;"}]}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[29]:=",ExpressionUUID->"d5cd59a6-6fa9-4ff5-881c-cd45730bfa86"],

Cell["As well as for specifying the data parts:", "Text",
 CellChangeTimes->{{3.7486256216855707`*^9, 
  3.7486256503297367`*^9}},ExpressionUUID->"45437046-6f24-42d1-b7c0-\
b0e2f8e72773"],

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"\"\<ExampleData/sample.fits\>\"", ",", 
   RowBox[{"{", 
    RowBox[{"\"\<RawData\>\"", ",", " ", "1", ",", " ", 
     RowBox[{"1", ";;", "3"}], ",", " ", 
     RowBox[{";;", ";;", "2"}]}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[32]:=",ExpressionUUID->"c367b3c3-d4e6-4719-ae1c-b885dc7ea9c2"],

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"\"\<ExampleData/sample.fits\>\"", ",", 
   RowBox[{"{", 
    RowBox[{"\"\<Data\>\"", ",", " ", "2", ",", " ", 
     RowBox[{"{", 
      RowBox[{"1", ",", " ", "5"}], "}"}]}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",ExpressionUUID->"0c4715e3-eae0-42aa-ae2b-945b2f73820c"],

Cell["Partial access is efficient:", "Text",
 CellChangeTimes->{{3.748777310141437*^9, 
  3.7487773234906178`*^9}},ExpressionUUID->"b435f52d-8aeb-425c-b375-\
039b668e4164"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AbsoluteTiming", "[", 
  RowBox[{"MaxMemoryUsed", "[", 
   RowBox[{
    RowBox[{"Import", "[", 
     RowBox[{"\"\<ExampleData/sample.fits\>\"", ",", "\"\<Data\>\""}], "]"}], 
    "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", " ", "1", ",", " ", "1", ",", " ", "1"}], "]"}], "]"}],
    "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.748777360863782*^9, 3.748777410993572*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"fa5e74e5-8683-4289-9e91-8dd7cfa3ea8a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.033162`", ",", "1286328"}], "}"}]], "Output",
 CellChangeTimes->{{3.7487773691866817`*^9, 3.7487774114537973`*^9}},
 CellLabel->"Out[14]=",ExpressionUUID->"e2f42f59-9f9e-41bb-a2ae-c91676b1f03b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AbsoluteTiming", "[", 
  RowBox[{"MaxMemoryUsed", "[", 
   RowBox[{"Import", "[", 
    RowBox[{"\"\<ExampleData/sample.fits\>\"", ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<Data\>\"", ",", " ", "1", ",", " ", "1", ",", " ", "1", ",", " ", 
       "1"}], "}"}]}], "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.748777334929368*^9, 3.7487773826663837`*^9}, {
  3.748777414480523*^9, 3.7487774152920322`*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"3ea749b9-690f-49dc-a49e-d87730b67503"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.027489`", ",", "564592"}], "}"}]], "Output",
 CellChangeTimes->{{3.748777351369285*^9, 3.7487773852735453`*^9}, 
   3.7487774157507668`*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"d235b293-cd9e-4906-8970-3897f29eb09a"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"f12205f3-8350-4698-940f-8d11ebb0151b"],

Cell[CellGroupData[{

Cell["FITS: Application", "Section",
 CellChangeTimes->{
  3.483202458955147*^9, {3.514308340990994*^9, 3.514308352103572*^9}, {
   3.7486035621672077`*^9, 3.748603577888309*^9}, {3.7486036610241756`*^9, 
   3.7486037213193903`*^9}, {3.748607963746969*^9, 3.748607971194388*^9}, {
   3.7486250432829723`*^9, 3.748625047735376*^9}, 3.748625409939299*^9, 
   3.748625564869673*^9, {3.748625768253352*^9, 
   3.7486257792733994`*^9}},ExpressionUUID->"b0b1c370-7807-4d58-8be2-\
7a9924779173"],

Cell[BoxData[
 RowBox[{"CreateFITSLookupApplication", "[", "]"}]], "Input",
 CellLabel->"In[2]:=",ExpressionUUID->"d3a3edbc-3dc0-4915-a063-6ff22e937d06"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"890e6300-3927-4148-a55c-626a952efb54"],

Cell[CellGroupData[{

Cell["Thank you", "Section",ExpressionUUID->"e4232610-2c6a-4a6a-b3f7-838baf5c9dc1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"WordCloud", "[", 
  RowBox[{
   RowBox[{"Join", "[", 
    RowBox[{"{", 
     RowBox[{"$ImportFormats", ",", " ", "$ExportFormats"}], "}"}], "]"}], 
   ",", 
   GraphicsBox[
    TagBox[RasterBox[CompressedData["
1:eJztnV2vHFeVhhMSUARCiRAIKyiWY9myLdvCisLMkAukueBibhnNDwANg+aG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      "], {{0, 310}, {311, 0}}, {0, 255},
      ColorFunction->RGBColor],
     BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
     Selectable->False],
    DefaultBaseStyle->"ImageGraphics",
    ImageSize->Automatic,
    ImageSizeRaw->{311, 310},
    PlotRange->{{0, 311}, {0, 310}}], ",", 
   RowBox[{"WordSpacings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"5", ",", "2"}], "}"}]}], ",", 
   RowBox[{"MaxItems", "\[Rule]", "\[Infinity]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7487111247389174`*^9, 3.748711129099456*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"7332f054-a703-4b28-986c-bd9e084d0cdd"],

Cell[BoxData[
 GraphicsBox[{InsetBox[
    StyleBox["\<\"SPARQLResultsJSON\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.7486792404501181, 0.7295754711611242, 0.]], {-337.5, 148.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"JavaScriptExpression\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.5019668524892619, 0.46131988850644284`, 0.85]], {-368.5, 75.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"SPARQLResultsXML\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8942669221727393, 0.33664661556545217`, 0.24705512971210125`]], {-320.5, 206.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"UnsignedInteger128\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8406469639828372, 0.4670979759885582, 0.009582267584553498]], {356.5, -143.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"UnsignedInteger64\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.3210338443454749, 0.5781729245236201, 0.8002406132145699]], {-393.5, 12.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"UnsignedInteger32\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.867126970951173, 0.3420746058097654, 0.292288381748045]], {337.5, -213.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"UnsignedInteger24\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.8300990941148169, 0.738622121568313, 0.]], {392.5, -80.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"UnsignedInteger16\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.6019122397111593, 0.4018011935018237, 0.7827194007221017]], {337.5, -283.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"UnsignedInteger8\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.9556136422634149, 0.54374242817561, 0.11305227803707346`]], {-433.5, -47.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"PythonExpression\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8340842988834063, 0.4538735516748905, 0.010210747208515863`]], {332.5, -343.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"TerminatedString\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8232136074216673, 0.35085727851566656`, 0.3654773209638879]], {469.5, -16.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"ExpressionJSON\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8613800418100862, 0.48092002787339083`, 0.02824203762907758]], {-462.5, -121.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"SPARQLUpdate\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.3662670963814609, 0.5427397421711235, 0.85]], {28.5, 485.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"HTTPResponse\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.7513196300394465, 0.358, 0.48066210763162087`]], {-394.5, -284.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"SPARQLQuery\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.6236242006884123, 0.3891358829317595, 0.7284394982789693]], {-433.5, -194.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"XHTMLMathML\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.39422278356132984`, 0.5259663298632021, 0.85]], {498.5, 44.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"JavaProperties\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8745421494417032, 0.39318677583744527`, 0.11135537360425793`]], {279.5, -402.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"HarwellBoeing\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.6536293927965667, 0.37163285420200276`, 0.6534265180085832]], {512.5, 116.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"HTTPRequest\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.9784200278733908, 0.649600139366954, 0.058265924741844846`]], {272.5, -460.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"ExpressionML\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.6184987019729621, 0.39212575718243875`, 0.7412532450675947]], {-420.5, -342.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Complex256\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.8996399512215667, 0.7463488834690629, 0.]], {494.5, 174.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Complex128\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.5833680111493557, 0.4126186601628758, 0.8290799721266107]], {485.5, 245.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Character16\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.28026441037696703`, 0.715, 0.4292089322474965]], {-1.5, 544.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Complex64\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8439466852489265, 0.3467106629502147, 0.3309221912517893]], {-468.5, 277.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"RawBitmap\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.8804193310386353, 0.7442132590042928, 0.]], {-0.5, -543.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Character8\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.838355547812947, 0.44746667828057946`, 0.0208888695323676]], {450.5, 307.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"JPEG2000\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.7896667828057927, 0.3575666434388414, 0.4213886953236787]], {-367.5, -400.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"NASACDF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.7658565873730018, 0.358, 0.4582975578876895]], {372.5, 393.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"QuickTime\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.5884935098648004, 0.4096287859121997, 0.8162662253379988]], {-455.5, 339.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Integer128\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.8493197142977551, 0.7407577460330839, 0.]], {-365.5, -458.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"SurferGrid\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8521775996977838, 0.42673360045332426`, 0.05544399924445961]], {22.5, 601.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"RawJSON\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8503535586432426, 0.3454292882713515, 0.32024406892792906`]], {-28.5, -601.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"GeoJSON\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.37977756485605163`, 0.715, 0.3025558265468435]], {-455.5, 399.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Integer64\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.6897400905885174, 0.358, 0.5753998606330502]], {-380.5, 475.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Integer24\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.3103557220216354, 0.5867154223826917, 0.7874268664259625]], {328.5, -518.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Integer32\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.9492067688690977, 0.5394711792460651, 0.10728609198218791`]], {-353.5, -517.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Integer16\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8607200975568693, 0.34335598048862614`, 0.30296650407188447`]], {433.5, 467.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"GraphML\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8168067340273636, 0.3521386531945273, 0.3761554432877274]], {344.5, 540.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"JSONLD\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8781534541180211, 0.4921023027453475, 0.04333810870621905]], {-337.5, 542.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"UBJSON\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.19527002946876698`, 0.715, 0.537383598857933]], {14.5, -660.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"RDFXML\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.2930781571655908, 0.6005374742675273, 0.766693788598709]], {-0.5, 659.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Package\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8633598745697435, 0.40996018814538476`, 0.08339968642435877]], {291.5, -601.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Graphlet\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.9810598048862722, 0.7553955338762525, 0.]], {-331.5, -577.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"DIMACS\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.47401116530937026`, 0.47809330081437784`, 0.85]], {-279.5, 604.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Sparse6\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.9659178644949902, 0.5870893224749506, 0.0920217658635267]], {338.5, 600.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"NQuads\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8774935098648088, 0.34000129802703827`, 0.2750108168919853]], {-259.5, -657.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"NetCDF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8510135028964549, 0.47400900193096995`, 0.018912152606809424`]], {-1.5, -719.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Integer8\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.47929071933511125`, 0.715, 0.1759027208462221]], {298.5, -660.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"NTriples\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.3383114092015346, 0.5643508726387724, 0.8209736910418415]], {279.5, 659.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Wave64\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.5126449748131466, 0.45491301511211196`, 0.85]], {644.5, -401.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Real128\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.9388402299554665, 0.5325601533036444, 0.09795620695991976]], {-262.5, -714.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"MathML\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.845266573755366, 0.437100139366951, 0.03816643438841502]], {667.5, 364.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"NEXUS\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.6102054708420535, 0.39696347534213544`, 0.7619863228948663]], {247.5, -732.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Graph6\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.5472001045252132, 0.43417993728487203`, 0.85]], {619.5, -459.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"FASTQ\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8878600487784333, 0.33792799024431336`, 0.2577332520359445]], {-8.5, -778.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"DICOM\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.5407932311309059, 0.715, 0.09762679674248334]], {752.5, -201.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"FASTA\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.7678998606330495, 0.7317110956258943, 0.]], {-653.5, -413.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"XHTML\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.9110403344806788, 0.3332919331038643, 0.2190994425322021]], {-630.5, -471.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Base64\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.772079, 0.431554, 0.102387]], {599.5, -517.}, 
    Center, Automatic], InsetBox[
    StyleBox["\<\"Real64\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.5173013620184094, 0.715, 0.12752553924929727`]], {542.5, -575.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Real32\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.6807557568633742, 0.358, 0.5892219125178859]], {747.5, -259.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"WLNet\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.2026116530936882, 0.6729106775250494, 0.6581339837124258]], {782.5, -136.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"MXNet\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.9840111653093676, 0.677555826546838, 0.04316985366470745]], {735.5, 300.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"PHPIni\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.6672593867853922, 0.7205288207539324, 0.]], {-755.5, -252.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"MCTT\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.5750747800184488, 0.4174563783225715, 0.8498130499538777]], {714.5, -341.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"WMLF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8845603275123429, 0.49637355167489533`, 0.04910429476110867]], {-492.5, -635.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Binary\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.363898, 0.618501, 0.782349]], {-568.5, -560.}, 
    Center, Automatic], InsetBox[
    StyleBox["\<\"BSON\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.571589, 0.586483, 0.]], {-228.5, -773.}, Center, 
    Automatic], InsetBox[
    StyleBox["\<\"NOFF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.7989994773739094, 0.735166608597101, 0.]], {-744.5, -310.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"JSON\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.19193353076984873`, 0.681453175384121, 0.6453202369238185]], {-768.5, -182.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"MOL2\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.6670481226429111, 0.3638052617916352, 0.6198796933927223]], {791.5, 159.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"JPEG\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.9930578157165594, 0.7227890785827968, 0.01874389756528967]], {779.5, 226.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"WebP\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.796073656200101, 0.3562852687599798, 0.41071057299983166`]], {211.5, -790.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"HTML\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.428777913273419, 0.5052332520359486, 0.85]], {527.5, -633.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"BZIP2\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.9728288904374106, 0.621644452187053, 0.07336199581899142]], {-0.5, -836.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"XLSX\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.7333509625891679, 0.358, 0.5083062114012802]], {831.5, -26.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"String\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.3562856957436214, 0.715, 0.33245456905357285`]], {828.5, 57.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"FLAC\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.7132613816472081, 0.358, 0.5392132590042952]], {-485.5, -693.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"LEDA\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.9046334610863751, 0.334573307782725, 0.22977756485604156`]], {463.5, -718.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Pajek\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.529922539669161, 0.44454647619850335`, 0.85]], {-194.5, -831.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Turtle\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.7568722536478586, 0.358, 0.47211960977252515`]], {194.5, -848.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"HDF5\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.9038177251280404, 0.3492734123079395, 0.18454431282010084`]], {-423.5, -770.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Table\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.5578782268490904, 0.4277730638905457, 0.85]], {676.5, 422.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"ICNS\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.2187618985811806, 0.715, 0.5074848563512248]], {392.5, -792.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"OGG\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.4177882075393331, 0.715, 0.25417864494993975`]], {-0.5, -894.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"GZIP\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.9052934053395919, 0.510195603559728, 0.06776406480563275]], {-367.5, -829.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"LWO\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.969373377466199, 0.6043668873309952, 0.08269188084126262]], {-169.5, -902.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"WDX\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.9951934401813273, 0.7334672009066363, 0.012977711510416365`]], {-680.5, -616.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"SMA\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.17465596591378904`, 0.6952752272689687, 0.6245871590965468]], {-750.5, -527.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"MGF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.9307395679624266, 0.7498043964402695, 0.]], {161.5, -907.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"ACO\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.880722, 0.611041, 0.142051]], {365.5, -852.}, 
    Center, Automatic], InsetBox[
    StyleBox["\<\"PGM\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.6453361616656581, 0.37647057236169945`, 0.6741595958358548]], {-331.5, -887.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"MOL\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.922066817647527, 0.5213778784316846, 0.08286013588277422]], {572.5, 524.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"WAV\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8702709005121614, 0.399593649231758, 0.10067725128040336`]], {-2.5, -952.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"DOT\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.9874666782805795, 0.6948333914028977, 0.033839968642435214`]], {-578.5, -751.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"CUR\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.9324333565611593, 0.5282889043741062, 0.0921900209050434]], {-666.5, -674.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"WXF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.6370429305347639, 0.3813082905213877, 0.6948926736630903]], {326.5, -910.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"TGA\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.6587548915120169, 0.36864297995132345`, 0.6406127712199577]], {-150.5, -960.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"FITS\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.9637822400302223, 0.5764112001511111, 0.0977879519184]], {156.5, -965.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"AIFF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.560181, 0.691569, 0.194885]], {-527.5, -826.}, 
    Center, Automatic], InsetBox[
    StyleBox["\<\"SND\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8677869152044034, 0.48519127680293567`, 0.03400822368396312]], {-324.5, -945.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"PNG\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.41150034841737443`, 0.5155997909495753, 0.85]], {3.5, -1010.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"PCX\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8064401951137368, 0.3542119609772526, 0.39343300814377197`]], {-487.5, -887.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"CSV\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.28240003484173815`, 0.6090799721266095, 0.7538800418100857]], {309.5, -968.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"CDF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.736782672705901, 0.358, 0.5030266573755369]], {-815.5, -368.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"XBM\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.6983590035262996, 0.7239843337251444, 0.]], {-149.5, -1018.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"TGF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.616814516497552, 0.715, 0.0008724335485702282]], {724.5, -575.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"SCT\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.9896023027453474, 0.7055115137267371, 0.028073782587561907`]], {-711.5, -734.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"GXL\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.23716678280579248`, 0.645266573755366, 0.699600139366951]], {153.5, -1023.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"AgilentMicroarray\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.8399870197296068, 0.3475025960540786, 0.33752163378398875`]], {3.5, 713.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"TIFF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8995464761984985, 0.35568028570225224`, 0.17386619049624627`]], {-302.5, -1003.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"MAT\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.31827505306025683`, 0.715, 0.3808317506505822]], {-667.5, -808.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"BMP\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.647624, 0.37816, 0.614037]], {-479.5, -945.}, 
    Center, Automatic], InsetBox[
    StyleBox["\<\"SDF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.7803935447065493, 0.358, 0.4359330081437702]], {-0.5, -1068.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"OFF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.7042770479220728, 0.358, 0.5530353108891188]], {302.5, -1028.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"PNM\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.9749645149021788, 0.6323225745108944, 0.06759580976411708]], {-152.5, -1074.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"MTX\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8926354502560807, 0.366046824615879, 0.15658862564020168`]], {-638.5, -882.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"TSV\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.9805556523381587, 0.6602782616907935, 0.05249973868697153]], {453.5, -944.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"TriG\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.4394560355973038, 0.4988263786416177, 0.85]], {-817.5, -665.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"XML\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.29478318394784325`, 0.715, 0.4107304931572905]], {144.5, -1081.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"M4A\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.7277983389807635, 0.358, 0.5168487092603637]], {-445.5, -1002.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"KML\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.7175796237092107, 0.7261199581899123, 0.]], {-308.5, -1059.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"FCS\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.35558897405758294`, 0.5505288207539337, 0.8417067688690995]], {292.5, -1086.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"EPS\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.16397784358994957`, 0.7038177251280403, 0.6117734123079395]], {-1.5, -1129.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"3DS\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.368417, 0.506779, 0.709798]], {-627.5, -940.}, 
    Center, Automatic], InsetBox[
    StyleBox["\<\"UUE\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.6952927141969296, 0.358, 0.5668573627739545]], {-148.5, -1130.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"PPM\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.742335296314311, 0.358, 0.4944841595164445]], {147.5, -1142.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"PBM\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.9986489531525362, 0.7507447657626809, 0.0036478264881522893`]], {-307.5, -1115.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"HDF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.6361597700445392, 0.7170733077827265, 0.]], {-786.5, -864.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Byte\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.915, 0.3325, 0.2125]], {436.5, -1080.}, Center, 
    Automatic], InsetBox[
    StyleBox["\<\"OBJ\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.9603267270590103, 0.5591336352950514, 0.10711783694067224`]], {295.5, -1144.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"TAR\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.9618391847033341, 0.7532599094114815, 0.]], {-28.5, -1186.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"PXR\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.2567725412644787, 0.715, 0.45910767475429987`]], {-176.5, -1188.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"PDB\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.2198892179497479, 0.6590886256402017, 0.6788670615396974]], {117.5, -1198.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"MP3\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.5788038738141875, 0.715, 0.049249615145579635`]], {266.5, -1202.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"MIDI\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8335801463353031, 0.3487839707329394, 0.3481997561078282]], {-29.5, -1244.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"XLS\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.97150900193097, 0.6150450096548498, 0.07692569478638116]], {-781.5, -922.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"PDF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8949268664259606, 0.5032845776173072, 0.05843417978336459]], {810.5, -457.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"DXF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.7748409210981391, 0.358, 0.4444755060028629]], {-319.5, -1171.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"DAE\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.6753413537738198, 0.3589675436319385, 0.5991466155654507]], {437.5, -1151.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"VTK\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.4557988502226976, 0.715, 0.20580146335293034`]], {-178.5, -1244.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Text\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.9117002787339092, 0.5144668524892728, 0.07353025086051829]], {118.5, -1254.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"BYU\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85]], {415.5, -1207.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"STL\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.7188140052556203, 0.358, 0.5306707611451995]], {-214.5, 662.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"XYZ\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8409953248258242, 0.44350701276126375`, 0.027488312064560455`]], {263.5, -1260.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"RTF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.4846892876332173, 0.4716864274200696, 0.85]], {-10.5, -1300.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"HTMLFragment\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.9929388014442143, 0.7567154223826904, 0.]], {816.5, -73.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"PLY\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.9107287510704583, 0.33890687339431275`, 0.20182187767614543`]], {443.5, -1002.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"ICO\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8342400905885153, 0.4628267270590103, 0.0038160815296638794`]], {-145.5, -1302.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"TeX\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.24784490512963195`, 0.6367240758962944, 0.7124138861555583]], {127.5, -1316.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"JVX\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.6319174318193065, 0.38429816477207124`, 0.7077064204517338]], {405.5, -1265.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"GIF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8564488486273256, 0.42032672705901153`, 0.06612212156831418]], {608.5, -691.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"MO\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.26512246998569167`, 0.6229020240114467, 0.73314696398283]], {834.5, -397.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"TeXFragment\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.3327938266311413, 0.715, 0.3623533115603656]], {308.5, -1304.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"RIB\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.881453175384121, 0.3828202369238185, 0.12863293846030252`]], {-308.5, -1246.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"AVI\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.528488, 0.470624, 0.701351]], {869.5, -324.}, 
    Center, Automatic], InsetBox[
    StyleBox["\<\"VideoFrames\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.9181071521282038, 0.5187381014188026, 0.07929643691538345]], {-303.5, -244.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"DIF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.8857244243136628, 0.3764133635295058, 0.1393110607841571]], {684.5, -633.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"ZIP\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.5802002787339062, 0.41446650407188795`, 0.8369993031652342]], {-816.5, -467.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"List\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.38354466123747527`, 0.5323732032575149, 0.85]], {534.5, -774.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"JCAMP-DX\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.9013337398202824, 0.507555826546855, 0.06420036583825421]], {-155.5, 252.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"MX\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.4567336004533182, 0.4884598397280091, 0.85]], {-898.5, -308.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"USGSDEM\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.9426185645203958, 0.7511242849467106, 0.]], {236.5, 706.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"AU\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.922526, 0.385626, 0.209179]], {774.5, -514.}, 
    Center, Automatic], InsetBox[
    StyleBox["\<\"SDTSDEM\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.7859461683149538, 0.358, 0.42739051028468655`]], {-48.5, -283.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"ApacheLog\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.27580059230953113`, 0.6143595261523751, 0.7459607107714373]], {833.5, 113.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"NB\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[0.15725938678540247`, 0.715, 0.5857607804549424]], {494.5, -850.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"GTOPO30\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.8590886256402017, 0.4163670615396975, 0.0727215641005042]], {-12.5, -1343.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"OpenEXR\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.8567604320375463, 0.34414791359249075`, 0.3095659466040896]], {-181.5, -1345.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Affymetrix\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.9115189477795156, 0.7476687719755016, 0.]], {428.5, 350.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"GenBank\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.34898953152537404`, 0.5558083747797008, 0.8337874378304488]], {-534.5, -235.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Bit\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[1, 0.75, 0]], {514.5, 581.}, Center, Automatic], 
   InsetBox[
    StyleBox["\<\"ArcGRID\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.9284736910418487, 0.5256491273612325, 0.08862632193766383]], {-593.5, -986.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"GeoTIFF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.9624623515237812, 0.569811757618906, 0.10135165088579078`]], {204.5, 439.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Directory\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.7714092109814061, 0.358, 0.4497550600286058]], {-576.5, -512.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"SMILES\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.7294586202671799, 0.7274398466963533, 0.]], {652.5, 469.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"XPORT\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.45013415792115835`, 0.492419505247305, 0.85]], {-273.5, -1288.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Ini\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.024769992922859165`],
     FontColor->RGBColor[
      0.596786740995709, 0.404791067752503, 0.7955331475107271]], {-692.5, 206.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"MMCIF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.7478879199227154, 0.358, 0.48594166165736086`]], {110.5, -502.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"WARC\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.593322647385072, 0.715, 0.03077117605536301]], {-824.5, -601.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"TIGER\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.8479063507682421, 0.433140473847637, 0.04476587692060505]], {-440.5, -1044.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"MBOX\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.9064575021409164, 0.3453137467886255, 0.19114375535229086`]], {-800.5, -810.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"LaTeX\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.6504616603811155, 0.3734806981110159, 0.6613458490472113]], {-756.5, -965.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"MESH\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.9771001393669498, 0.6430006968347489, 0.061829623709235615`]], {249.5, -1337.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"CDED\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.8883642013265388, 0.37245369801019174`, 0.1459105033163471]], {475.5, -893.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"SDTS\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.9917379272101183, 0.7161896360505917, 0.02230759653268044]], {125.5, -1359.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"PCAP\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.3037562794894303, 0.5919949764084558, 0.7795075353873163]], {-795.5, -777.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"VRML\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.6638803902274817, 0.3656531057006357, 0.627799024431296]], {-569.5, 447.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"GRIB\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.39429633842691947`, 0.715, 0.28407738745664796`]], {380.5, -562.}, 
    Center, Automatic], InsetBox[
    StyleBox["\<\"Maya\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.6480387666024812, 0.7183931962891645, 0.]], {-815.5, -411.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"PICT\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.9452471033497882, 0.5368314022331921, 0.10372239301480939`]], {-688.5, -352.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"SWF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.9680534889597611, 0.5977674447988052, 0.08625557980864523]], {-235.5, -620.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"ODS\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.8611987108556971, 0.7420776345395218, 0.]], {914.5, -179.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"SME\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.6287496994038625, 0.3861460086810802, 0.7156257514903437]], {903.5, -243.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"POV\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.6863083804717864, 0.358, 0.5806794146587901]], {-570.5, 478.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"MPS\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.2332806721520651, 0.715, 0.4890064172610081]], {-305.5, -1322.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"GPX\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.7098296715304772, 0.358, 0.5444928130300352]], {507.5, -1259.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"VCS\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.25852302745348654`, 0.6281815780372108, 0.7252276329441838]], {-769.5, -128.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"SVG\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.37694521870528525`, 0.5363328687768288, 0.85]], {-26.5, -1376.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"MDB\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.422178470741229, 0.5091929175552626, 0.85]], {-712.5, -568.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"VCF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.8296204808159799, 0.349575903836804, 0.35479919864003334`]], {235.5, -561.}, \
Center, Automatic], InsetBox[
    StyleBox["\<\"SXC\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.7243666288640247, 0.358, 0.5221282632861158]], {-108.5, -1378.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"SHP\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.8741937885987162, 0.4894625257324775, 0.039774409738844586`]], {-422.5, -1078.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"RSS\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.49536740995707185`, 0.4652795540257568, 0.85]], {460.5, -1307.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"NDK\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.5936190085802578, 0.4066389116615162, 0.8034524785493552]], {218.5, -1370.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"MTP\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.8302804250692104, 0.46018695004614035`, 0.00025238256228941934`]], {344.5, -1344.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"FMU\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.8839003832591125, 0.3387199233481775, 0.26433269456814584`]], {-190.5, -1385.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"EML\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.6153309695575109, 0.39397360109145196`, 0.7491725761062227]], {-513.5, 521.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"EMF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.8574203762907767, 0.47828025086051784`, 0.024678338661699044`]], {-307.5, -1355.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"ZPR\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.9826912768029357, 0.6709563840146782, 0.046733552632073766`]], {425.5, -1340.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"X3D\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.8952752272689688, 0.3620871590965469, 0.1631880681724219]], {-824.5, -706.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"Raw\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.49380949290599574`, 0.715, 0.1574242817560055]], {-808.5, -568.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"EDF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.15737840105774445`, 0.7090972791538044, 0.6038540812692933]], {899.5, -276.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"DBF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.9861467897741385, 0.6882339488706926, 0.03740366760982598]], {299.5, -1376.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"BDF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.6721736213583686, 0.36081538754095166`, 0.6070659466040788]], {-271.5, -1387.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"SP3\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.9006737955670521, 0.3353652408865896, 0.23637700738824668`]], {376.5, -1377.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"SFF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.1853340882376436, 0.6867327294098851, 0.6374009058851723]], {-663.5, 318.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"RLE\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.8771819264545792, 0.38922711031813123`, 0.11795481613644795`]], {-319.5, 650.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"TLE\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.568556349172945, 0.421366190496233, 0.85]], {923.5, -106.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"FLV\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.7797788571909984, 0.7330309841323331, 0.]], {-862.5, -508.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"ICC\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.8128470685080404, 0.3529305862983919, 0.3827548858199325]], {927.5, -139.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"ICS\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[
      0.23056734027358736`, 0.6505461277811301, 0.6916808083283048]], {533.5, -1310.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"CIF\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.4674117227772029, 0.4820529663336782, 0.85]], {-681.5, 252.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"HIN\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.5406006619930458, 0.43813960280417247`, 0.85]], {498.5, -1343.},
     Center, Automatic], InsetBox[
    StyleBox["\<\"C\"\>",
     StripOnInput->False,
     FontSize->Scaled[0.012384996461429583`],
     FontColor->RGBColor[0.5553120047017739, 0.715, 0.07914835765228787]], {164.5, -42.},
     Center, Automatic]},
  DefaultBaseStyle->{"Graphics", FontFamily -> "Helvetica"},
  ImageSize->{590.453125, Automatic},
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultPlotStyle" -> Automatic},
  PlotRange->{{-1413., 1413.}, {-1408.5, 1408.5}}]], "Output",
 CellChangeTimes->{3.748775670469121*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"197da37b-6f12-40a6-9328-8da8b79248fa"]
}, {2}]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->
  "SlideShowHeader",ExpressionUUID->"7dbeab96-4b24-4274-b053-36d361acf83f"],

Cell[CellGroupData[{

Cell["Init", "Section",
 CellChangeTimes->{{3.748622999414206*^9, 
  3.74862299971163*^9}},ExpressionUUID->"71fae22c-e4ac-4060-9c28-\
dad3a7ab7147"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Get", "[", 
   RowBox[{"FileNameJoin", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", " ", 
      "\"\<IE-Updates-Init.wl\>\""}], "}"}], "]"}], "]"}], ";"}]], "Code",
 CellChangeTimes->{{3.748623032692028*^9, 3.748623044790347*^9}, {
  3.748628587415495*^9, 3.7486285926417017`*^9}, {3.7486918130876293`*^9, 
  3.748691815905401*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"c80ddf20-3976-419b-b3a4-aa837005326a"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1680, 957},
WindowMargins->{{51, Automatic}, {Automatic, 12}},
TaggingRules->{"SlideShow" -> True},
FrontEndVersion->"11.3 for Mac OS X x86 (32-bit, 64-bit Kernel) (March 5, \
2018)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[StyleDefinitions -> "Default.nb"]], 
   Cell[
    CellGroupData[{
      Cell["Style Environment Names", "Section"], 
      Cell[
       StyleData[All, "Working"]], 
      Cell[
       StyleData[All, "Presentation"], MenuSortingValue -> None], 
      Cell[
       StyleData[All, "Condensed"], MenuSortingValue -> None], 
      Cell[
       StyleData[All, "SlideShow"]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Notebook Options Settings", "Section"], 
      Cell[
       StyleData["Notebook"], 
       CellBracketOptions -> {
        "Color" -> RGBColor[0.739193, 0.750317, 0.747173]}]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Title and Section Cells", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Title"], ShowCellBracket -> Automatic, ShowGroupOpener -> 
          False, CellMargins -> {{100, 100}, {14, 50}}, 
          CellGroupingRules -> {"TitleGrouping", 0}, PageBreakBelow -> False, 
          CellFrameMargins -> {{20, 20}, {20, 20}}, DefaultNewInlineCellStyle -> 
          "None", InputAutoReplacements -> {"TeX" -> StyleBox[
              RowBox[{"T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
              RowBox[{"L", 
                StyleBox[
                 AdjustmentBox[
                 "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                  BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
            "Mma" -> "Mathematica", "MMA" -> "Mathematica", "gridMathematica" -> 
            FormBox[
              RowBox[{"grid", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            "webMathematica" -> FormBox[
              RowBox[{"web", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            Inherited}, TextAlignment -> Center, LineSpacing -> {1, 0}, 
          LanguageCategory -> "NaturalLanguage", CounterIncrements -> "Title",
           CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
            "Figure", 0}, {"Subtitle", 0}, {"Subsubtitle", 0}}, FontFamily -> 
          "Arial", FontSize -> 45, FontWeight -> "Bold", FontSlant -> "Plain",
           FontTracking -> "Plain", 
          FontVariations -> {
           "Outline" -> False, "Shadow" -> False, "StrikeThrough" -> False, 
            "Underline" -> False}, FontColor -> 
          RGBColor[
           0.8156862745098039, 0.07058823529411765, 0.07058823529411765], 
          Background -> None, FontVariations -> {"Masked" -> False}], 
         Cell[
          StyleData["Title", "Presentation", StyleDefinitions -> None], 
          CellMargins -> {{55, 3}, {14, 125}}, LineSpacing -> {1, 5}, 
          FontSize -> 48], 
         Cell[
          StyleData[
          "Title", "SlideShow", StyleDefinitions -> 
           StyleData["Title", "Presentation"]], 
          CellMargins -> {{100, 100}, {52, 105}}, FontColor -> GrayLevel[1]], 
         Cell[
          StyleData["Title", "Printout", StyleDefinitions -> None], 
          CellMargins -> {{2, 0}, {0, 20}}, FontSize -> 24]}, Open]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subtitle"], ShowCellBracket -> Automatic, 
          CellMargins -> {{0, 0}, {0, 5}}, 
          CellGroupingRules -> {"TitleGrouping", 10}, PageBreakBelow -> False,
           DefaultNewInlineCellStyle -> "None", 
          InputAutoReplacements -> {"TeX" -> StyleBox[
              RowBox[{"T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
              RowBox[{"L", 
                StyleBox[
                 AdjustmentBox[
                 "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                  BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
            "Mma" -> "Mathematica", "MMA" -> "Mathematica", "gridMathematica" -> 
            FormBox[
              RowBox[{"grid", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            "webMathematica" -> FormBox[
              RowBox[{"web", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            Inherited}, TextAlignment -> Center, LanguageCategory -> 
          "NaturalLanguage", CounterIncrements -> "Subtitle", 
          CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
            "Figure", 0}, {"Subsubtitle", 0}}, FontFamily -> "Arial", 
          FontSize -> 27, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> RGBColor[0.4, 0.4, 0.4], Background -> None], 
         Cell[
          StyleData["Subtitle", "Presentation", StyleDefinitions -> None], 
          CellMargins -> {{58, 0}, {0, 5}}, FontSize -> 36], 
         Cell[
          StyleData[
          "Subtitle", "SlideShow", StyleDefinitions -> StyleData["Subtitle"]],
           CellMargins -> {{0, 0}, {0, 5}}, FontSize -> 27, FontColor -> 
          RGBColor[
           0.9019607843137255, 0.9019607843137255, 0.9019607843137255]], 
         Cell[
          StyleData["Subtitle", "Printout", StyleDefinitions -> None], 
          CellMargins -> {{2, 0}, {0, 5}}, FontSize -> 18, Background -> 
          GrayLevel[1]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubtitle", StyleDefinitions -> StyleData["Subtitle"]],
           CellMargins -> {{0, 0}, {30, 5}}, FontSize -> 24, FontSlant -> 
          "Plain", FontColor -> RGBColor[0.4, 0.4, 0.4]], 
         Cell[
          StyleData["Subsubtitle", "Presentation"], FontSize -> 24], 
         Cell[
          StyleData[
          "Subsubtitle", "SlideShow", StyleDefinitions -> 
           StyleData["Subsubtitle"]], CellMargins -> {{0, 0}, {10, 5}}, 
          FontColor -> 
          RGBColor[
           0.9019607843137255, 0.9019607843137255, 0.9019607843137255]], 
         Cell[
          StyleData["Subsubtitle", "Printout"], FontSize -> 14]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Section"], CellFrame -> {{0, 0}, {0.2, 0}}, 
          ShowGroupOpener -> False, CellMargins -> {{60, 50}, {7, 25}}, 
          FontSize -> 36, FontWeight -> "Plain", FontColor -> 
          RGBColor[
           0.8156862745098039, 0.07058823529411765, 0.07058823529411765]], 
         Cell[
          StyleData["Section", "Presentation"], 
          CellFrame -> {{0, 0}, {0.2, 0}}, 
          CellMargins -> {{58, 50}, {7, 35}}], 
         Cell[
          StyleData[
          "Section", "SlideShow", StyleDefinitions -> 
           StyleData["Section", "Presentation"]], 
          CellMargins -> {{58, 50}, {10, 35}}], 
         Cell[
          StyleData["Section", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{2, 0}, {4, 22}}, FontSize -> 20]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsection"], CellDingbat -> None, ShowGroupOpener -> 
          False, CellMargins -> {{60, Inherited}, {0, 15}}, 
          CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> 
          False, DefaultNewInlineCellStyle -> "None", 
          InputAutoReplacements -> {"TeX" -> StyleBox[
              RowBox[{"T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
              RowBox[{"L", 
                StyleBox[
                 AdjustmentBox[
                 "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                  BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
            "Mma" -> "Mathematica", "MMA" -> "Mathematica", "gridMathematica" -> 
            FormBox[
              RowBox[{"grid", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            "webMathematica" -> FormBox[
              RowBox[{"web", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            Inherited}, LanguageCategory -> "NaturalLanguage", 
          CounterIncrements -> "Subsection", 
          CounterAssignments -> {{"Subsubsection", 0}}, FontFamily -> 
          "Helvetica", FontSize -> 24, FontWeight -> "Plain", FontSlant -> 
          "Plain", FontColor -> RGBColor[0.4, 0.4, 0.4]], 
         Cell[
          StyleData["Subsection", "Presentation"], ShowGroupOpener -> True, 
          WholeCellGroupOpener -> True, CellMargins -> {{60, 50}, {0, 20}}, 
          LineSpacing -> {1, 0}, FontFamily -> "Helvetica"], 
         Cell[
          StyleData["Subsection", "SlideShow"], ShowGroupOpener -> True, 
          WholeCellGroupOpener -> True, CellMargins -> {{60, 50}, {8, 12}}, 
          LineSpacing -> {1, 0}, FontFamily -> "Helvetica"], 
         Cell[
          StyleData["Subsection", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{2, 0}, {0, 17}}, FontSize -> 16]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subsubsection"], CellDingbat -> None, ShowGroupOpener -> 
          False, CellMargins -> {{60, Inherited}, {0, 15}}, 
          CellGroupingRules -> {"SectionGrouping", 50}, PageBreakBelow -> 
          False, DefaultNewInlineCellStyle -> "None", 
          InputAutoReplacements -> {"TeX" -> StyleBox[
              RowBox[{"T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
              RowBox[{"L", 
                StyleBox[
                 AdjustmentBox[
                 "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                  BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
            "Mma" -> "Mathematica", "MMA" -> "Mathematica", "gridMathematica" -> 
            FormBox[
              RowBox[{"grid", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            "webMathematica" -> FormBox[
              RowBox[{"web", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            Inherited}, LanguageCategory -> "NaturalLanguage", 
          CounterIncrements -> "Subsubsection", FontFamily -> "Helvetica", 
          FontSize -> 20, FontWeight -> "Plain", FontSlant -> "Plain", 
          FontColor -> RGBColor[0.4, 0.4, 0.4]], 
         Cell[
          StyleData["Subsubsection", "Presentation"], ShowGroupOpener -> True,
           WholeCellGroupOpener -> True, CellMargins -> {{60, 50}, {0, 20}}, 
          LineSpacing -> {1, 0}], 
         Cell[
          StyleData[
          "Subsubsection", "SlideShow", StyleDefinitions -> 
           StyleData["Subsubsection", "Presentation"]]], 
         Cell[
          StyleData["Subsubsection", "Printout"], ShowGroupOpener -> False, 
          CellMargins -> {{2, 0}, {0, 22}}, FontSize -> 14]}, Closed]]}, 
     Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Body Text", "Section"], 
      Cell["Standard", "Subsection"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Text"], CellMargins -> {{60, 10}, {7, 7}}, 
          InputAutoReplacements -> {"TeX" -> StyleBox[
              RowBox[{"T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
              RowBox[{"L", 
                StyleBox[
                 AdjustmentBox[
                 "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                  BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                AdjustmentBox[
                "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                 BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
            "Mma" -> "Mathematica", "MMA" -> "Mathematica", "gridMathematica" -> 
            FormBox[
              RowBox[{"grid", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            "webMathematica" -> FormBox[
              RowBox[{"web", 
                AdjustmentBox[
                 StyleBox["Mathematica", FontSlant -> "Italic"], 
                 BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
            Inherited}, LineSpacing -> {1, 3}, CounterIncrements -> "Text", 
          FontFamily -> "Helvetica", FontSize -> 12], 
         Cell[
          StyleData["Text", "Presentation"], 
          CellMargins -> {{60, 50}, {10, 10}}, FontSize -> 17], 
         Cell[
          StyleData[
          "Text", "SlideShow", StyleDefinitions -> 
           StyleData["Text", "Presentation"]]], 
         Cell[
          StyleData["Text", "Printout"], CellMargins -> {{2, 2}, {6, 6}}, 
          TextJustification -> 0.5, Hyphenation -> True, FontSize -> 10]}, 
        Closed]], 
      Cell["Display", "Subsection"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Item", StyleDefinitions -> StyleData["Text"]], 
          CellDingbat -> Cell["\[FilledSmallCircle]", FontWeight -> "Bold"], 
          ShowGroupOpener -> False, CellMargins -> {{84, 10}, {7, 7}}, 
          ReturnCreatesNewCell -> True, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CounterIncrements -> "Item"], 
         Cell[
          StyleData["Item", "Presentation"], 
          CellMargins -> {{124, 10}, {7, 7}}], 
         Cell[
          StyleData[
          "Item", "SlideShow", StyleDefinitions -> 
           StyleData["Item", "Presentation"]]], 
         Cell[
          StyleData["Item", "Printout"], CellMargins -> {{39, 2}, {0, 6}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Subitem", StyleDefinitions -> StyleData["Item"]], 
          CellMargins -> {{108, 10}, {7, 7}}, ReturnCreatesNewCell -> True, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15150}, 
          CounterIncrements -> "Subitem"], 
         Cell[
          StyleData["Subitem", "Presentation"], 
          CellMargins -> {{146, 10}, {7, 7}}], 
         Cell[
          StyleData[
          "Subitem", "SlideShow", StyleDefinitions -> 
           StyleData["Subitem", "Presentation"]]], 
         Cell[
          StyleData["Subitem", "Printout"], 
          CellMargins -> {{67, 2}, {0, 6}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemNumbered", StyleDefinitions -> StyleData["Text"]], 
          CellDingbat -> Cell[
            TextData[{
              CounterBox["ItemNumbered"], "."}]], ShowGroupOpener -> False, 
          CellMargins -> {{84, 10}, {7, 7}}, ReturnCreatesNewCell -> True, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15000}, 
          CounterIncrements -> "ItemNumbered"], 
         Cell[
          StyleData["ItemNumbered", "Presentation"], 
          CellMargins -> {{124, 10}, {7, 7}}], 
         Cell[
          StyleData[
          "ItemNumbered", "SlideShow", StyleDefinitions -> 
           StyleData["ItemNumbered", "Presentation"]]], 
         Cell[
          StyleData["ItemNumbered", "Printout"], 
          CellMargins -> {{39, 2}, {0, 6}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "SubitemNumbered", StyleDefinitions -> StyleData["ItemNumbered"]], 
          CellDingbat -> Cell[
            TextData[{
              CounterBox["SubitemNumbered", CounterFunction :> (Part[
                 CharacterRange["a", "z"], #]& )], "."}]], 
          CellMargins -> {{108, 10}, {7, 7}}, ReturnCreatesNewCell -> True, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15150}, 
          CounterIncrements -> "SubitemNumbered"], 
         Cell[
          StyleData["SubitemNumbered", "Presentation"], 
          CellMargins -> {{146, 10}, {7, 7}}], 
         Cell[
          StyleData[
          "SubitemNumbered", "SlideShow", StyleDefinitions -> 
           StyleData["SubitemNumbered", "Presentation"]]], 
         Cell[
          StyleData["SubitemNumbered", "Printout"], 
          CellMargins -> {{67, 2}, {0, 6}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ItemParagraph", StyleDefinitions -> StyleData["Item"]], 
          CellDingbat -> None, CellMargins -> {{84, 10}, {7, 7}}, 
          ReturnCreatesNewCell -> True, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15100}, 
          CounterIncrements -> "ItemParagraph"], 
         Cell[
          StyleData["ItemParagraph", "Presentation"], 
          CellMargins -> {{124, 10}, {7, 7}}], 
         Cell[
          StyleData[
          "ItemParagraph", "SlideShow", StyleDefinitions -> 
           StyleData["ItemParagraph", "Presentation"]]], 
         Cell[
          StyleData["ItemParagraph", "Printout"], 
          CellMargins -> {{39, 2}, {0, 6}}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "SubitemParagraph", StyleDefinitions -> StyleData["Subitem"]], 
          CellDingbat -> None, ReturnCreatesNewCell -> True, 
          CellGroupingRules -> {"GroupTogetherNestedGrouping", 15200}, 
          CounterIncrements -> "SubitemParagraph"], 
         Cell[
          StyleData["SubitemParagraph", "Presentation"]], 
         Cell[
          StyleData[
          "SubitemParagraph", "SlideShow", StyleDefinitions -> 
           StyleData["SubitemParagraph", "Presentation"]]], 
         Cell[
          StyleData["SubitemParagraph", "Printout"]]}, Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Formulas and Programming", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["DisplayFormula"]], 
         Cell[
          StyleData["DisplayFormula", "Presentation"], 
          CellMargins -> {{60, Inherited}, {Inherited 1.5, Inherited 1.5}}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "DisplayFormula", "SlideShow", StyleDefinitions -> 
           StyleData["DisplayFormula", "Presentation"]]], 
         Cell[
          StyleData["DisplayFormula", "Printout"], 
          CellMargins -> {{39, Inherited}, {Inherited, Inherited}}, FontSize -> 
          10]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "DisplayFormulaNumbered", StyleDefinitions -> 
           StyleData["DisplayFormula"]], CellFrameLabels -> {{None, 
             Cell[
              TextData[{"(", 
                CounterBox["DisplayFormulaNumbered"], ")"}]]}, {None, None}}, 
          CounterIncrements -> "DisplayFormulaNumbered"], 
         Cell[
          StyleData["DisplayFormulaNumbered", "Presentation"], 
          CellMargins -> {{60, Inherited}, {Inherited 1.5, Inherited 1.5}}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "DisplayFormulaNumbered", "SlideShow", StyleDefinitions -> 
           StyleData["DisplayFormulaNumbered", "Presentation"]]], 
         Cell[
          StyleData["DisplayFormulaNumbered", "Printout"], 
          CellMargins -> {{39, Inherited}, {Inherited, Inherited}}]}, 
        Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Inline Formatting", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InlineFormula"]], 
         Cell[
          StyleData["InlineFormula", "Presentation"], FontSize -> 17], 
         Cell[
          StyleData[
          "InlineFormula", "SlideShow", StyleDefinitions -> 
           StyleData["InlineFormula", "Presentation"]]], 
         Cell[
          StyleData["InlineFormula", "Printout"]]}, Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell["Styles for Input and Output Cells", "Section"], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Input"], ShowCellBracket -> True, ShowGroupOpener -> 
          False, CellMargins -> {{103, 10}, {5, 7}}, 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.734936, 0.713848, 0.694041]}, Evaluatable -> 
          True, CellGroupingRules -> "InputGrouping", CellHorizontalScrolling -> 
          True, PageBreakWithin -> False, GroupPageBreakWithin -> False, 
          DefaultFormatType -> DefaultInputFormatType, 
          "TwoByteSyntaxCharacterAutoReplacement" -> True, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
          FormatType -> InputForm, ShowStringCharacters -> True, NumberMarks -> 
          True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1}, 
          CounterIncrements -> "Input", FontWeight -> "Bold"], 
         Cell[
          StyleData["Input", "Presentation"], 
          CellMargins -> {{110, 50}, {8, 10}}, LineSpacing -> {1, 0}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "Input", "SlideShow", StyleDefinitions -> 
           StyleData["Input", "Presentation"]]], 
         Cell[
          StyleData["Input", "Printout"], CellMargins -> {{39, 0}, {4, 6}}, 
          LinebreakAdjustments -> {0.85, 2, 10, 1, 1}, FontSize -> 9]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["InputOnly"], ShowCellBracket -> True, ShowGroupOpener -> 
          False, CellMargins -> {{103, 10}, {7, 7}}, 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.734936, 0.713848, 0.694041]}, Evaluatable -> 
          True, CellGroupingRules -> "InputGrouping", CellHorizontalScrolling -> 
          True, DefaultFormatType -> DefaultInputFormatType, 
          "TwoByteSyntaxCharacterAutoReplacement" -> True, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
          FormatType -> InputForm, ShowStringCharacters -> True, NumberMarks -> 
          True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1}, 
          CounterIncrements -> "Input", MenuSortingValue -> 1550, FontWeight -> 
          "Bold"], 
         Cell[
          StyleData["InputOnly", "Presentation"], 
          CellMargins -> {{110, Inherited}, {8, 10}}, LineSpacing -> {1, 0}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "InputOnly", "SlideShow", StyleDefinitions -> 
           StyleData["InputOnly", "Presentation"]]], 
         Cell[
          StyleData["InputOnly", "Printout"], 
          CellMargins -> {{39, 0}, {4, 6}}, 
          LinebreakAdjustments -> {0.85, 2, 10, 1, 1}, FontSize -> 9]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Output"], ShowCellBracket -> True, 
          CellMargins -> {{103, 10}, {7, 5}}, 
          CellBracketOptions -> {
           "Color" -> RGBColor[0.734936, 0.713848, 0.694041]}, 
          CellEditDuplicate -> True, CellGroupingRules -> "OutputGrouping", 
          CellHorizontalScrolling -> True, PageBreakWithin -> False, 
          GroupPageBreakWithin -> False, GeneratedCell -> True, 
          CellAutoOverwrite -> True, DefaultFormatType -> 
          DefaultOutputFormatType, "TwoByteSyntaxCharacterAutoReplacement" -> 
          True, HyphenationOptions -> {
           "HyphenationCharacter" -> "\[Continuation]"}, 
          AutoItalicWords -> {}, LanguageCategory -> None, FormatType -> 
          InputForm, CounterIncrements -> "Output"], 
         Cell[
          StyleData["Output", "Presentation"], 
          CellMargins -> {{110, 50}, {10, 8}}, LineSpacing -> {1, 0}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "Output", "SlideShow", StyleDefinitions -> 
           StyleData["Output", "Presentation"]]], 
         Cell[
          StyleData["Output", "Printout"], CellMargins -> {{39, 0}, {6, 4}}, 
          FontSize -> 9]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Code"], CellMargins -> {{103, 10}, {5, 10}}], 
         Cell[
          StyleData["Code", "Presentation"], 
          CellMargins -> {{110, 50}, {8, 10}}, LineSpacing -> {1, 0}, 
          FontSize -> 17], 
         Cell[
          StyleData[
          "Code", "SlideShow", StyleDefinitions -> 
           StyleData["Code", "Presentation"]]], 
         Cell[
          StyleData["Code", "Printout"], CellMargins -> {{39, 0}, {4, 6}}, 
          LinebreakAdjustments -> {0.85, 2, 10, 1, 1}, FontSize -> 9]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Print"], 
          CellMargins -> {{103, Inherited}, {Inherited, Inherited}}, FontSize -> 
          14], 
         Cell[
          StyleData["Print", "Presentation"], 
          CellMargins -> {{70, Inherited}, {Inherited 1.5, Inherited 1.5}}, 
          FontSize -> 17, Magnification -> Inherited 1.5], 
         Cell[
          StyleData[
          "Print", "SlideShow", StyleDefinitions -> 
           StyleData["Print", "Presentation"]]], 
         Cell[
          StyleData["Print", "Printout"], 
          CellMargins -> {{39, Inherited}, {Inherited, Inherited}}]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "WolframAlphaShortInput", StyleDefinitions -> StyleData["Input"]], 
          CellMargins -> {{98, 10}, {5, 7}}, EvaluationMode -> 
          "WolframAlphaShort", 
          CellEventActions -> {"ReturnKeyDown" :> FrontEndTokenExecute[
              EvaluationNotebook[], "HandleShiftReturn"]}, 
          CellFrameLabels -> {{
             Cell[
              BoxData[
               DynamicBox[
                FEPrivate`FrontEndResource["WABitmaps", "Equal"]]], 
              CellBaseline -> Baseline], None}, {None, None}}, FormatType -> 
          TextForm, FontFamily -> "Helvetica"], 
         Cell[
          StyleData["WolframAlphaShortInput", "Presentation"], 
          CellMargins -> {{107, 50}, {8, 10}}], 
         Cell[
          StyleData[
          "WolframAlphaShortInput", "SlideShow", StyleDefinitions -> 
           StyleData["WolframAlphaShortInput", "Presentation"]]], 
         Cell[
          StyleData["WolframAlphaShortInput", "Printout"], 
          CellFrameLabelMargins -> 3]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData[
          "WolframAlphaLong", StyleDefinitions -> StyleData["Input"]], 
          CellMargins -> {{100, 10}, {5, 7}}, 
          StyleKeyMapping -> {
           "=" -> "Input", "Backspace" -> "WolframAlphaShort"}, 
          EvaluationMode -> "WolframAlphaLong", 
          CellEventActions -> {"ReturnKeyDown" :> FrontEndTokenExecute[
              EvaluationNotebook[], "HandleShiftReturn"]}, 
          CellFrameLabels -> {{
             Cell[
              BoxData[
               DynamicBox[
                FEPrivate`FrontEndResource["WABitmaps", "SpikeyEqual"]]]], 
             None}, {None, None}}, DefaultFormatType -> TextForm, FormatType -> 
          TextForm, FontFamily -> "Helvetica"], 
         Cell[
          StyleData["WolframAlphaLong", "Presentation"], 
          CellMargins -> {{107, 50}, {8, 10}}], 
         Cell[
          StyleData[
          "WolframAlphaLong", "SlideShow", StyleDefinitions -> 
           StyleData["WolframAlphaLong", "Presentation"]], 
          CellMargins -> {{107, 50}, {8, 10}}], 
         Cell[
          StyleData["WolframAlphaLong", "Printout"], CellFrameLabelMargins -> 
          3]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Program"], CellMargins -> {{60, 4}, {6, 8}}], 
         Cell[
          StyleData["Program", "Presentation"], 
          CellMargins -> {{60, 50}, {8, 10}}, LineSpacing -> {1, 0}, FontSize -> 
          17], 
         Cell[
          StyleData[
          "Program", "SlideShow", StyleDefinitions -> 
           StyleData["Program", "Presentation"]]], 
         Cell[
          StyleData["Program", "Printout"], CellMargins -> {{2, 0}, {0, 8}}, 
          FontSize -> 10]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["CellLabel"]], 
         Cell[
          StyleData["CellLabel", "Presentation"], FontSize -> 12], 
         Cell[
          StyleData[
          "CellLabel", "SlideShow", StyleDefinitions -> 
           StyleData["CellLabel", "Presentation"]]], 
         Cell[
          StyleData["CellLabel", "Printout"], FontSize -> 8, FontColor -> 
          GrayLevel[0.]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["ManipulateLabel"]], 
         Cell[
          StyleData["ManipulateLabel", "Presentation"], FontSize -> 15], 
         Cell[
          StyleData[
          "ManipulateLabel", "SlideShow", StyleDefinitions -> 
           StyleData["ManipulateLabel", "Presentation"]]], 
         Cell[
          StyleData["ManipulateLabel", "Printout"], FontSize -> 8]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["GraphicsLabel"]], 
         Cell[
          StyleData["GraphicsLabel", "Presentation"], FontSize -> 14], 
         Cell[
          StyleData[
          "GraphicsLabel", "SlideShow", StyleDefinitions -> 
           StyleData["GraphicsLabel", "Presentation"]]], 
         Cell[
          StyleData["GraphicsLabel", "Printout"], FontSize -> 8]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["Graphics3DLabel"]], 
         Cell[
          StyleData["Graphics3DLabel", "Presentation"], FontSize -> 14], 
         Cell[
          StyleData[
          "Graphics3DLabel", "SlideShow", StyleDefinitions -> 
           StyleData["Graphics3DLabel", "Presentation"]]], 
         Cell[
          StyleData["Graphics3DLabel", "Printout"], FontSize -> 8]}, 
        Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Styles for SlideShow", "Section", 
       CellChangeTimes -> {{3.514665148412793*^9, 3.5146651505550737`*^9}}], 
      Cell[
       StyleData["slideshowheader"], ShowCellBracket -> False, 
       CellMargins -> {{0, 0}, {0, -2}}, Evaluatable -> False, 
       CellHorizontalScrolling -> False, PageBreakBelow -> False, 
       CellFrameMargins -> 0, ImageMargins -> {{0, 0}, {0, 0}}, 
       ImageRegion -> {{0, 1}, {0, 1}}, Magnification -> 1, Background -> 
       GrayLevel[1], CellPadding -> 0, CellFramePadding -> 0], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["hidefromslideshowgraphic"], ShowCellBracket -> False, 
          CellMargins -> {{0, 0}, {0, 0}}, Evaluatable -> False, 
          CellHorizontalScrolling -> False, PageBreakBelow -> False, 
          CellFrameMargins -> 0, ImageMargins -> {{0, 0}, {0, 0}}, 
          ImageRegion -> {{0, 1}, {0, 1}}, Magnification -> 1, Background -> 
          None, CellPadding -> 0], 
         Cell[
          StyleData["hidefromslideshowgraphic", "SlideShow"], ShowCellBracket -> 
          False, CellElementSpacings -> {
           "CellMinHeight" -> 0, "ClosedCellHeight" -> 0, 
            "ClosedGroupTopMargin" -> 0}, CellOpen -> False, 
          CellHorizontalScrolling -> False], 
         Cell[
          StyleData["hidefromslideshowgraphic", "Printout"], Magnification -> 
          0.6]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["slideshowheader2"], ShowCellBracket -> False, 
          CellMargins -> {{0, 0}, {0, 0}}, Evaluatable -> False, 
          CellHorizontalScrolling -> False, PageBreakBelow -> False, 
          ImageMargins -> {{0, 0}, {0, 0}}, ImageRegion -> {{0, 1}, {0, 1}}, 
          Magnification -> 1, Background -> GrayLevel[1]], 
         Cell[
          StyleData["ConferenceGraphicCell", "SlideShow"], ShowCellBracket -> 
          False, CellElementSpacings -> {
           "CellMinHeight" -> 0, "ClosedCellHeight" -> 0, 
            "ClosedGroupTopMargin" -> 0}, CellOpen -> False, 
          CellHorizontalScrolling -> True], 
         Cell[
          StyleData["slideshowheader", "Printout"], FontSize -> 8, 
          Magnification -> 0.75]}, Closed]], 
      Cell[
       StyleData[
       "ConferenceGraphicCellSlideShowOnly", StyleDefinitions -> 
        StyleData["ConferenceCellGraphic"]], ShowCellBracket -> False, 
       CellMargins -> 0, 
       CellElementSpacings -> {
        "CellMinHeight" -> 0, "ClosedCellHeight" -> 0, "ClosedGroupTopMargin" -> 
         0}, CellOpen -> False], 
      Cell[
       CellGroupData[{
         Cell[
          StyleData["SlideShowNavigationBar"], Editable -> True, Selectable -> 
          False, CellFrame -> 0, ShowGroupOpener -> False, 
          CellMargins -> {{0, 0}, {3, 3}}, CellOpen -> True, CellFrameMargins -> 
          0, CellFrameColor -> None, Background -> None], 
         Cell[
          StyleData["SlideShowNavigationBar", "Printout"], PageBreakAbove -> 
          Automatic]}, Closed]]}, Closed]], 
   Cell[
    CellGroupData[{
      Cell[
      "Styles for Slide Show Environment Documents", "Section", 
       CellChangeTimes -> {{3.559592561220532*^9, 3.559592575768806*^9}, 
         3.559652073182283*^9}], 
      Cell[
       StyleData["FirstSlide"], 
       PrivateCellOptions -> {
        "PagewiseNotebookBaseStyle" -> {
          FrontEnd`BackgroundAppearance -> 
           FrontEnd`FileName[{"PresenterTools"}, 
             "Background-WTC2017.png"]}}]}, Open]]}, Visible -> False, 
  FrontEndVersion -> 
  "11.3 for Mac OS X x86 (32-bit, 64-bit Kernel) (March 5, 2018)", 
  StyleDefinitions -> "PrivateStylesheetFormatting.nb"],
presentertemplt`firstslideimage -> Image[CompressedData["
1:eJzt3UmudOtVreFDUqBIF5BL0AKqFKkaIcq2MBYVI9lIiF7QEMDkeZ7n0CNz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  "], "Byte", ColorSpace -> "RGB", Interleaving -> True]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SlideShowHeader"->{
  Cell[580, 22, 136, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"5eff326f-51d4-4f6d-8327-0361233df0b4",
   CellTags->"SlideShowHeader"],
  Cell[6745, 152, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"3922b593-907c-45c1-b8b6-90c3373155fd",
   CellTags->"SlideShowHeader"],
  Cell[8004, 182, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"3d417ef7-2274-476e-a156-7231bf56c84e",
   CellTags->"SlideShowHeader"],
  Cell[14424, 343, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"5253a593-46c2-4d08-845b-ac8de20bce7c",
   CellTags->"SlideShowHeader"],
  Cell[20315, 480, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"c13aa35e-ee7e-45fb-b766-8a38ab576e52",
   CellTags->"SlideShowHeader"],
  Cell[23541, 576, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"789acc3f-d4e3-4cff-9500-0f304c5476c8",
   CellTags->"SlideShowHeader"],
  Cell[26965, 672, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"be9c3606-95f8-4256-974c-2af76275f0c1",
   CellTags->"SlideShowHeader"],
  Cell[42669, 1071, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"a9fc694a-a294-4b6c-a002-098ba88ef559",
   CellTags->"SlideShowHeader"],
  Cell[48389, 1231, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"6875dacc-749f-48e4-99bf-d91537a65c64",
   CellTags->"SlideShowHeader"],
  Cell[53088, 1371, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"daf4aa57-8f33-4049-bf98-abd76e1dc978",
   CellTags->"SlideShowHeader"],
  Cell[61357, 1600, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"5893853d-43bc-4fab-a04a-1a43cb8f8b5c",
   CellTags->"SlideShowHeader"],
  Cell[64491, 1698, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"21ec20d2-5a3d-42c6-a363-b8454eb820f9",
   CellTags->"SlideShowHeader"],
  Cell[66688, 1760, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"9fd8c747-e8ea-4b98-bf17-fe8851219983",
   CellTags->"SlideShowHeader"],
  Cell[68679, 1813, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"97ce9b41-6c10-4d3c-aa71-0303952b0749",
   CellTags->"SlideShowHeader"],
  Cell[71115, 1881, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"eb14fcc5-499d-43ec-bbb3-edf6377163d3",
   CellTags->"SlideShowHeader"],
  Cell[73225, 1938, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"c7b1525b-a049-45ca-9582-1b4902781523",
   CellTags->"SlideShowHeader"],
  Cell[77483, 2056, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"f12205f3-8350-4698-940f-8d11ebb0151b",
   CellTags->"SlideShowHeader"],
  Cell[78323, 2080, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"890e6300-3927-4148-a55c-626a952efb54",
   CellTags->"SlideShowHeader"],
  Cell[149545, 3644, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"7dbeab96-4b24-4274-b053-36d361acf83f",
   CellTags->"SlideShowHeader"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SlideShowHeader", 205113, 4796}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 136, 2, 74, "SlideShowNavigationBar",ExpressionUUID->"5eff326f-51d4-4f6d-8327-0361233df0b4",
 CellTags->"SlideShowHeader"],
Cell[719, 26, 415, 6, 115, "Title",ExpressionUUID->"4a349bd0-044f-4b71-9e5d-6f85b428ef05"],
Cell[1137, 34, 686, 13, 68, "Subtitle",ExpressionUUID->"8bf38818-9136-4d63-b800-a95800ba3bba"],
Cell[1826, 49, 4882, 98, 394, "Text",ExpressionUUID->"e5654c3b-261a-4278-9d0c-d50835b563a4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6745, 152, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"3922b593-907c-45c1-b8b6-90c3373155fd",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[6892, 158, 368, 5, 83, "Section",ExpressionUUID->"f29c9c36-3588-423d-85b2-02bd9ce04aa0"],
Cell[7263, 165, 692, 11, 43, "Text",ExpressionUUID->"813e3938-12dd-4af2-a679-9c2667c326cc"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[8004, 182, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"3d417ef7-2274-476e-a156-7231bf56c84e",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[8151, 188, 363, 6, 83, "Section",ExpressionUUID->"d519da9a-07b8-4600-b208-ff11b9f334ce"],
Cell[8517, 196, 110, 0, 27, "Text",ExpressionUUID->"5a0a2a0b-e4c2-448b-9310-dedcae99c331"],
Cell[8630, 198, 227, 4, 29, "Input",ExpressionUUID->"9d09edc4-1c62-438e-bbb5-37af16756761"],
Cell[8860, 204, 272, 4, 27, "Text",ExpressionUUID->"eb0b1f2c-ba05-46a8-a6e8-c79a94bcfaec"],
Cell[9135, 210, 283, 5, 29, "Input",ExpressionUUID->"39226c29-48f2-478b-95f3-211ef41bf1b3"],
Cell[9421, 217, 319, 6, 27, "Text",ExpressionUUID->"59f35e93-131a-497c-8799-d74365e72c26"],
Cell[9743, 225, 402, 9, 29, "Input",ExpressionUUID->"17947570-b7cc-4837-b9a2-9c46f24ef4a3"],
Cell[10148, 236, 274, 4, 27, "Text",ExpressionUUID->"dc16f003-b387-4385-9dc2-931401f4bc3a"],
Cell[10425, 242, 359, 7, 29, "Input",ExpressionUUID->"4ae97169-9983-4728-96c1-1a95683e2a4a"],
Cell[10787, 251, 368, 7, 27, "Text",ExpressionUUID->"2f1117ed-94ac-4f3d-bbe7-0dcd84127a99"],
Cell[11158, 260, 407, 7, 29, "Input",ExpressionUUID->"59c8ca1c-ecfb-4503-b61f-c2d469819248"],
Cell[11568, 269, 553, 12, 51, "Input",ExpressionUUID->"8fdacefe-7c3a-4cf9-b299-ed0f17f5ab32"],
Cell[12124, 283, 572, 10, 51, "Input",ExpressionUUID->"7613f12c-1e04-4754-aa4f-c7c6d014d38a"],
Cell[12699, 295, 265, 6, 27, "Text",ExpressionUUID->"087391b2-c8dc-41e9-8b81-943511401711"],
Cell[12967, 303, 465, 10, 29, "Input",ExpressionUUID->"8e1f3ea8-e02d-45f7-924f-fe638e271eec"],
Cell[13435, 315, 224, 3, 27, "Text",ExpressionUUID->"b65907d4-ac95-4f35-ae9d-f8e13e2a0415"],
Cell[13662, 320, 432, 7, 29, "Input",ExpressionUUID->"bd3124ad-55b4-487c-80a7-5cc77f36006c"],
Cell[14097, 329, 278, 8, 27, "Text",ExpressionUUID->"4bcfd9a1-72ec-4b62-9da9-12104cdc6bc0"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[14424, 343, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"5253a593-46c2-4d08-845b-ac8de20bce7c",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[14571, 349, 441, 7, 83, "Section",ExpressionUUID->"27409321-c032-41d7-a644-f2f31ad641ab"],
Cell[15015, 358, 656, 11, 27, "Text",ExpressionUUID->"56312f13-adf4-4812-ac4f-c63ba2b17d93"],
Cell[15674, 371, 254, 4, 29, "Input",ExpressionUUID->"4489b849-0f1e-4019-b7c5-be18b71fcd5c"],
Cell[15931, 377, 254, 4, 29, "Input",ExpressionUUID->"86f0198c-438d-40e8-ae22-e4fb60433d98"],
Cell[16188, 383, 221, 3, 29, "Input",ExpressionUUID->"cd357b32-303d-4505-9017-54febb5d840d"],
Cell[16412, 388, 227, 5, 27, "Text",ExpressionUUID->"3549eede-ab0b-4b25-ad59-094d1c39952f"],
Cell[16642, 395, 956, 21, 58, "Input",ExpressionUUID->"ed8cbfdc-c7ae-4e8f-b374-0ce9f3431245"],
Cell[17601, 418, 1267, 26, 58, "Input",ExpressionUUID->"849ea88b-bfa5-4a3d-92d9-1b9223fe8a12"],
Cell[18871, 446, 1395, 28, 58, "Input",ExpressionUUID->"5bb10d3b-f160-4488-a2ba-7230f512ff64"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[20315, 480, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"c13aa35e-ee7e-45fb-b766-8a38ab576e52",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[20462, 486, 415, 7, 83, "Section",ExpressionUUID->"12188045-e272-4c4c-a8d0-6086b51b5521"],
Cell[CellGroupData[{
Cell[20902, 497, 229, 4, 40, "Subsection",ExpressionUUID->"9a49e2e9-a7f8-4c9b-aeec-0cef256a2e5c"],
Cell[21134, 503, 115, 0, 27, "Text",ExpressionUUID->"2f2cf16e-20d6-4707-9774-203ac9c70357"]
}, Closed]],
Cell[CellGroupData[{
Cell[21286, 508, 82, 0, 29, "Subsection",ExpressionUUID->"92c60aa5-05b4-4932-aac3-1a00b0e52757"],
Cell[21371, 510, 358, 7, 29, "Input",ExpressionUUID->"a1d262a9-1c69-4fae-bfcc-2cb9fd193a36"],
Cell[21732, 519, 314, 5, 29, "Input",ExpressionUUID->"0efed869-498b-4c04-a9fb-c0f852d3db19"]
}, Closed]],
Cell[CellGroupData[{
Cell[22083, 529, 130, 0, 29, "Subsection",ExpressionUUID->"566d4d3a-de1a-4606-83a9-22c826a778f1"],
Cell[CellGroupData[{
Cell[22238, 533, 230, 4, 27, "Item",ExpressionUUID->"d0be5f02-fd1c-4292-b2bb-c028947a4d8a"],
Cell[22471, 539, 169, 3, 27, "Item",ExpressionUUID->"3c405a13-7206-4c83-94f4-de4ba8d3414c"]
}, Open  ]],
Cell[22655, 545, 412, 11, 51, "Input",ExpressionUUID->"d60c4ce1-ced1-41ce-bda1-a0ec60567b96"],
Cell[23070, 558, 410, 11, 51, "Input",ExpressionUUID->"c8e4cf5a-e3c2-4a24-ae4e-0124867651f9"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[23541, 576, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"789acc3f-d4e3-4cff-9500-0f304c5476c8",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[23688, 582, 461, 7, 83, "Section",ExpressionUUID->"b763c446-71b3-443c-961d-2c003447d8e2"],
Cell[CellGroupData[{
Cell[24174, 593, 95, 0, 40, "Subsection",ExpressionUUID->"0d965f69-0039-4490-986d-6aad13545a19"],
Cell[24272, 595, 125, 0, 27, "Text",ExpressionUUID->"55ee6c5f-d07b-4fc7-bfd3-1f1c0c79ed59"],
Cell[24400, 597, 306, 6, 29, "Input",ExpressionUUID->"4d6ae9ed-9ac9-4458-a382-fa5d4ae2977e"],
Cell[24709, 605, 315, 8, 29, "Input",ExpressionUUID->"b066ab65-ee49-471f-bf32-a46256895df4"],
Cell[25027, 615, 296, 6, 29, "Input",ExpressionUUID->"3f4defbc-6c97-49a7-a80b-0d02a5a1f769"],
Cell[CellGroupData[{
Cell[25348, 625, 125, 0, 27, "Item",ExpressionUUID->"162e2386-ee40-4ccb-bcd6-6c8a168f708c"],
Cell[25476, 627, 188, 3, 27, "Item",ExpressionUUID->"1a7e7ef2-62df-497e-a5f1-9f3cd268c5ea"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[25713, 636, 335, 6, 29, "Subsection",ExpressionUUID->"0c45a02a-048f-4085-9602-c321b860cbab"],
Cell[26051, 644, 348, 9, 29, "Input",ExpressionUUID->"496eb620-a86c-4161-8d9b-cc660efaf506"],
Cell[26402, 655, 190, 3, 29, "Input",ExpressionUUID->"c936fc3f-9438-485a-8d1d-5db0a4c45dd3"],
Cell[26595, 660, 309, 5, 29, "Input",ExpressionUUID->"e5ef7553-eaed-42df-9e4d-061286c158b1"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[26965, 672, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"be9c3606-95f8-4256-974c-2af76275f0c1",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[27112, 678, 161, 2, 83, "Section",ExpressionUUID->"9cac811a-a50b-44f4-b845-e144bd7393ab"],
Cell[27276, 682, 294, 6, 27, "Item",ExpressionUUID->"b66cd574-73a8-4293-b826-7d5f8a8200cc"],
Cell[27573, 690, 1250, 27, 146, "Input",ExpressionUUID->"5227f968-242d-41f6-a76c-acaa12427e09"],
Cell[CellGroupData[{
Cell[28848, 721, 463, 12, 42, "Subsection",ExpressionUUID->"ee9d0b78-9473-45ec-a773-373a548d6819"],
Cell[29314, 735, 473, 12, 29, "Input",ExpressionUUID->"2e0156f7-a1d3-4fa2-9c6d-188fc1dce803"],
Cell[29790, 749, 173, 3, 27, "Text",ExpressionUUID->"39ea5448-cfb6-4680-914a-a7dc94c2fd47"],
Cell[29966, 754, 447, 12, 29, "Input",ExpressionUUID->"910f8376-7aa9-408f-84be-9a4456476a9b"],
Cell[30416, 768, 400, 9, 29, "Input",ExpressionUUID->"fdb03787-b897-4be6-8cb0-e8fc5cd7a2a7"],
Cell[30819, 779, 408, 10, 29, "Input",ExpressionUUID->"99418f05-ae16-4260-95bf-0b75257f9e59"]
}, Closed]],
Cell[CellGroupData[{
Cell[31264, 794, 631, 17, 31, "Subsection",ExpressionUUID->"b079b26a-b326-478c-ab36-b13a4d5431a8"],
Cell[31898, 813, 463, 12, 29, "Input",ExpressionUUID->"fb9e64d8-4ddd-4787-a1ab-329404a80f9a"]
}, Closed]],
Cell[CellGroupData[{
Cell[32398, 830, 524, 9, 29, "Subsection",ExpressionUUID->"a42e6686-abc9-4bad-85a6-375c69a69e5e"],
Cell[CellGroupData[{
Cell[32947, 843, 5191, 133, 366, "Input",ExpressionUUID->"10db996e-7510-4bb4-adca-b638b52931df"],
Cell[38141, 978, 4458, 85, 636, "Output",ExpressionUUID->"a7837aa6-a5b9-4f74-8697-03a0f073ad55"]
}, {2}]]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[42669, 1071, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"a9fc694a-a294-4b6c-a002-098ba88ef559",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[42816, 1077, 95, 0, 83, "Section",ExpressionUUID->"e06380e2-e735-4d54-ae45-177cfaee2a0d"],
Cell[CellGroupData[{
Cell[42936, 1081, 156, 3, 40, "Subsection",ExpressionUUID->"c1d8578b-e7c4-4a3a-bab7-7ce59748f12a"],
Cell[43095, 1086, 1049, 25, 177, "Input",ExpressionUUID->"b69135e2-6ce0-4def-8534-b01b688388dd"]
}, Closed]],
Cell[CellGroupData[{
Cell[44181, 1116, 154, 3, 29, "Subsection",ExpressionUUID->"c1d80c5f-1c7f-44cd-abd5-adcfdc618c78"],
Cell[44338, 1121, 936, 22, 177, "Input",ExpressionUUID->"c6971b55-75ca-40a0-9492-0602eddd5c52"]
}, Closed]],
Cell[CellGroupData[{
Cell[45311, 1148, 162, 3, 29, "Subsection",ExpressionUUID->"40fef406-a1cb-428a-ba9c-735589335eaf"],
Cell[45476, 1153, 1084, 25, 114, "Input",ExpressionUUID->"4e6246d6-d12f-45bb-96fd-2f7bb0a43255"]
}, Closed]],
Cell[CellGroupData[{
Cell[46597, 1183, 158, 3, 29, "Subsection",ExpressionUUID->"1b44b7a2-16a2-4937-b249-315e007a90e8"],
Cell[46758, 1188, 1570, 36, 240, "Input",ExpressionUUID->"12ecc80c-42f0-4ffd-b186-f9a5ec592a08"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[48389, 1231, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"6875dacc-749f-48e4-99bf-d91537a65c64",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[48536, 1237, 95, 0, 83, "Section",ExpressionUUID->"800ec5f5-6fa2-4004-a87b-5f7238b580e3"],
Cell[CellGroupData[{
Cell[48656, 1241, 92, 0, 40, "Subsection",ExpressionUUID->"f41d30e7-27ea-4b4f-99a7-28201abb0562"],
Cell[48751, 1243, 756, 19, 72, "Input",ExpressionUUID->"cc3e4225-479e-4e7c-ac80-a25daddf467c"]
}, Closed]],
Cell[CellGroupData[{
Cell[49544, 1267, 154, 3, 29, "Subsection",ExpressionUUID->"46bd73ef-374a-4fc8-a558-1b781ea46fa0"],
Cell[49701, 1272, 160, 3, 27, "Text",ExpressionUUID->"ff774883-14d2-4179-a490-3f8f1bf18ebb"],
Cell[49864, 1277, 476, 11, 72, "Input",ExpressionUUID->"1942890c-7e30-45b8-b075-40e5b15723e9"]
}, Closed]],
Cell[CellGroupData[{
Cell[50377, 1293, 209, 4, 29, "Subsection",ExpressionUUID->"e806ba0c-011d-4607-82ae-a68b73ed45d9"],
Cell[50589, 1299, 210, 3, 27, "Text",ExpressionUUID->"3c1397a2-868b-4798-a914-c530639faf9a"],
Cell[50802, 1304, 470, 13, 51, "Input",ExpressionUUID->"c749771e-a78a-4a1f-a3a3-e2f38380637a"]
}, Closed]],
Cell[CellGroupData[{
Cell[51309, 1322, 158, 3, 29, "Subsection",ExpressionUUID->"18a6c9d2-ed23-4b25-b098-05b6120963bb"],
Cell[51470, 1327, 260, 4, 27, "Text",ExpressionUUID->"9c3756ed-a8ad-4f40-9685-7408d1f8462b"],
Cell[51733, 1333, 1294, 31, 198, "Input",ExpressionUUID->"c77cb063-f0ca-4f52-a359-7195e6ccbc50"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[53088, 1371, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"daf4aa57-8f33-4049-bf98-abd76e1dc978",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[53235, 1377, 139, 1, 83, "Section",ExpressionUUID->"c0670b53-fe5b-4064-a272-5eb6b7ec31e5"],
Cell[53377, 1380, 419, 11, 27, "Text",ExpressionUUID->"93fed965-d426-4499-917d-13a5600f6b46"],
Cell[53799, 1393, 751, 16, 114, "Input",ExpressionUUID->"0a4d6517-c092-4fa7-a651-c5ab01eca247"],
Cell[CellGroupData[{
Cell[54575, 1413, 301, 4, 40, "Subsection",ExpressionUUID->"968846e7-a169-44cd-9812-e74c372d1b83"],
Cell[CellGroupData[{
Cell[54901, 1421, 155, 3, 27, "Item",ExpressionUUID->"224c4ad0-0243-4d76-9b26-ab4b287f39f7"],
Cell[55059, 1426, 251, 4, 27, "Item",ExpressionUUID->"c8d9506a-8ae1-43d6-b5b3-eaf72dd2f6f1"],
Cell[55313, 1432, 252, 6, 27, "Item",ExpressionUUID->"13162a86-964e-4bcd-ad74-0cf2da3f98a1"]
}, Open  ]],
Cell[55580, 1441, 983, 23, 114, "Input",ExpressionUUID->"3e7dc58c-0a85-42e4-9ff3-5faf75ff940c"]
}, Closed]],
Cell[CellGroupData[{
Cell[56600, 1469, 280, 4, 29, "Subsection",ExpressionUUID->"6f3d163e-9949-451b-91dc-1728c7cd5e27"],
Cell[CellGroupData[{
Cell[56905, 1477, 251, 4, 27, "Item",ExpressionUUID->"3947e62d-8e66-4a3e-9ba0-e80e2befa657"],
Cell[57159, 1483, 171, 3, 27, "Item",ExpressionUUID->"228afcf1-1f51-4be4-ba1f-098c0d09d9a6"]
}, Open  ]],
Cell[57345, 1489, 748, 17, 135, "Input",ExpressionUUID->"79f7a51b-8a8b-45eb-8f9a-734c29111693"],
Cell[58096, 1508, 174, 3, 27, "Text",ExpressionUUID->"120f3f45-4f3f-4548-92ba-f54f648c1b5b"],
Cell[58273, 1513, 433, 10, 29, "Input",ExpressionUUID->"62455767-6a73-48f0-a308-119f57c0a133"],
Cell[58709, 1525, 811, 22, 93, "Input",ExpressionUUID->"da01e6b3-13e2-481e-a72b-a284fe921a1d"]
}, Closed]],
Cell[CellGroupData[{
Cell[59557, 1552, 276, 4, 29, "Subsection",ExpressionUUID->"d304ec44-2bb9-4689-b544-672fc3769e0f"],
Cell[59836, 1558, 278, 6, 27, "Text",ExpressionUUID->"94dae0fc-9a50-4a47-9267-d15285736851"],
Cell[60117, 1566, 1179, 27, 198, "Input",ExpressionUUID->"9ef08384-5d6e-47b6-9ba9-648e0ae4bb94"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[61357, 1600, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"5893853d-43bc-4fab-a04a-1a43cb8f8b5c",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[61504, 1606, 100, 0, 83, "Section",ExpressionUUID->"3d86ebea-555d-482c-94b1-e909fa8dcd90"],
Cell[61607, 1608, 173, 3, 27, "Text",ExpressionUUID->"e5c640aa-21a2-4677-bdce-f8eb99a43a58"],
Cell[61783, 1613, 332, 7, 29, "Input",ExpressionUUID->"046b8ca5-ce0b-4369-bd06-2c250acf62ab"],
Cell[62118, 1622, 363, 9, 29, "Input",ExpressionUUID->"2a7bf397-8e15-491b-afe4-ec949318d17f"],
Cell[62484, 1633, 356, 9, 29, "Input",ExpressionUUID->"8a159695-f161-42af-b5d5-ecae0d9d129e"],
Cell[62843, 1644, 213, 4, 27, "Text",ExpressionUUID->"213ee8ab-4459-4020-8200-c42398efcb0b"],
Cell[CellGroupData[{
Cell[63081, 1652, 154, 3, 40, "Subsection",ExpressionUUID->"102b8147-c88a-44fc-bc41-db4d4dbb6826"],
Cell[63238, 1657, 189, 3, 29, "Input",ExpressionUUID->"38aac1ce-b6e0-4821-8e29-5142c659e7d2"],
Cell[63430, 1662, 268, 6, 29, "Input",ExpressionUUID->"fe74e6a5-adef-4351-9154-264d23755f41"]
}, Closed]],
Cell[CellGroupData[{
Cell[63735, 1673, 153, 3, 29, "Subsection",ExpressionUUID->"c497e1cd-6843-4e06-b5e1-2a9c78c90b55"],
Cell[63891, 1678, 265, 5, 29, "Input",ExpressionUUID->"2e0c0ddf-c4d9-4d76-a11a-2145bbe479d7"],
Cell[64159, 1685, 271, 6, 29, "Input",ExpressionUUID->"b92512e2-68a6-46a8-8120-5387eb959a48"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[64491, 1698, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"21ec20d2-5a3d-42c6-a363-b8454eb820f9",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[64638, 1704, 541, 9, 83, "Section",ExpressionUUID->"a8bf11e5-5395-42b2-90cb-444d67c944c3"],
Cell[65182, 1715, 215, 5, 27, "Text",ExpressionUUID->"85f8c7d9-dfb2-47dc-a0f0-762f532adcee"],
Cell[65400, 1722, 172, 3, 29, "Input",ExpressionUUID->"c0d8f0b1-d52b-4f53-b3b2-ebf45dd4b400"],
Cell[65575, 1727, 178, 3, 27, "Text",ExpressionUUID->"f94a3ed1-947f-4848-b364-2d9d219c7096"],
Cell[65756, 1732, 368, 8, 51, "Input",ExpressionUUID->"c9e46e66-3fc6-4c96-9cae-d0dace25e002"],
Cell[66127, 1742, 177, 3, 27, "Text",ExpressionUUID->"2b116ff6-5fb1-40c0-a225-99ca22a59b40"],
Cell[66307, 1747, 332, 7, 29, "Input",ExpressionUUID->"4a92f565-92db-4f5f-891c-a6b1f6396c15"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[66688, 1760, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"9fd8c747-e8ea-4b98-bf17-fe8851219983",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[66835, 1766, 545, 9, 83, "Section",ExpressionUUID->"63f6d3b8-bfc4-4bd8-9ad5-6b43da3e0ebd"],
Cell[67383, 1777, 274, 6, 27, "Text",ExpressionUUID->"bc7e0001-97e6-4e3c-bba2-9641b681b7fd"],
Cell[67660, 1785, 349, 7, 29, "Input",ExpressionUUID->"fffa71ae-3338-4395-9bda-dba472f831af"],
Cell[68012, 1794, 176, 3, 27, "Text",ExpressionUUID->"f5ad893b-b59d-4ae0-9a32-4271c5671d63"],
Cell[68191, 1799, 439, 8, 29, "Input",ExpressionUUID->"24e3688a-553f-459a-ae57-f516a1c58cc6"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[68679, 1813, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"97ce9b41-6c10-4d3c-aa71-0303952b0749",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[68826, 1819, 489, 8, 83, "Section",ExpressionUUID->"06ca0c5c-162b-45ec-9af3-c72b7671f12c"],
Cell[69318, 1829, 495, 12, 27, "Text",ExpressionUUID->"80b91551-0a7d-42a7-a976-ffdb6bbcb3c9"],
Cell[69816, 1843, 471, 11, 29, "Input",ExpressionUUID->"dbe7aa3c-b916-4830-8498-8ace5c947887"],
Cell[70290, 1856, 316, 8, 27, "Text",ExpressionUUID->"cf49cc19-de53-43a2-98b7-9019c36e7e81"],
Cell[70609, 1866, 457, 9, 51, "Input",ExpressionUUID->"1e1bb63b-4e29-4609-b44d-46b90aa09cb4"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[71115, 1881, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"eb14fcc5-499d-43ec-bbb3-edf6377163d3",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[71262, 1887, 491, 8, 83, "Section",ExpressionUUID->"9460d8e6-c1b5-4976-bb90-b53002164aa7"],
Cell[71756, 1897, 311, 7, 27, "Text",ExpressionUUID->"8230962a-e18a-4388-948d-4d5912bb73b5"],
Cell[72070, 1906, 1106, 26, 240, "Input",ExpressionUUID->"f2a3e6bb-11be-4989-b7f5-f0c5bd190b02"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[73225, 1938, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"c7b1525b-a049-45ca-9582-1b4902781523",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[73372, 1944, 489, 8, 83, "Section",ExpressionUUID->"a123d2ea-34ca-4e40-b1cf-972b26b2aa19"],
Cell[73864, 1954, 312, 6, 27, "Text",ExpressionUUID->"493854bc-3050-4f12-a28e-fba0464146aa"],
Cell[74179, 1962, 353, 7, 29, "Input",ExpressionUUID->"b40b19f6-2d82-44d3-9259-9fc663e0204a"],
Cell[74535, 1971, 278, 6, 29, "Input",ExpressionUUID->"d5cd59a6-6fa9-4ff5-881c-cd45730bfa86"],
Cell[74816, 1979, 187, 3, 27, "Text",ExpressionUUID->"45437046-6f24-42d1-b7c0-b0e2f8e72773"],
Cell[75006, 1984, 344, 7, 29, "Input",ExpressionUUID->"c367b3c3-d4e6-4719-ae1c-b885dc7ea9c2"],
Cell[75353, 1993, 328, 7, 29, "Input",ExpressionUUID->"0c4715e3-eae0-42aa-ae2b-945b2f73820c"],
Cell[75684, 2002, 172, 3, 27, "Text",ExpressionUUID->"b435f52d-8aeb-425c-b375-039b668e4164"],
Cell[CellGroupData[{
Cell[75881, 2009, 478, 11, 29, "Input",ExpressionUUID->"fa5e74e5-8683-4289-9e91-8dd7cfa3ea8a"],
Cell[76362, 2022, 236, 4, 29, "Output",ExpressionUUID->"e2f42f59-9f9e-41bb-a2ae-c91676b1f03b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[76635, 2031, 523, 11, 29, "Input",ExpressionUUID->"3ea749b9-690f-49dc-a49e-d87730b67503"],
Cell[77161, 2044, 261, 5, 29, "Output",ExpressionUUID->"d235b293-cd9e-4906-8970-3897f29eb09a"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[77483, 2056, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"f12205f3-8350-4698-940f-8d11ebb0151b",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[77630, 2062, 488, 8, 83, "Section",ExpressionUUID->"b0b1c370-7807-4d58-8be2-7a9924779173"],
Cell[78121, 2072, 153, 2, 29, "Input",ExpressionUUID->"d3a3edbc-3dc0-4915-a063-6ff22e937d06"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[78323, 2080, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"890e6300-3927-4148-a55c-626a952efb54",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[78470, 2086, 83, 0, 83, "Section",ExpressionUUID->"e4232610-2c6a-4a6a-b3f7-838baf5c9dc1"],
Cell[CellGroupData[{
Cell[78578, 2090, 16739, 283, 92, "Input",ExpressionUUID->"7332f054-a703-4b28-986c-bd9e084d0cdd"],
Cell[95320, 2375, 54167, 1262, 601, "Output",ExpressionUUID->"197da37b-6f12-40a6-9328-8da8b79248fa"]
}, {2}]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[149545, 3644, 122, 2, 50, "SlideShowNavigationBar",ExpressionUUID->"7dbeab96-4b24-4274-b053-36d361acf83f",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[149692, 3650, 148, 3, 83, "Section",ExpressionUUID->"71fae22c-e4ac-4060-9c28-dad3a7ab7147"],
Cell[149843, 3655, 490, 11, 47, "Code",ExpressionUUID->"c80ddf20-3976-419b-b3a4-aa837005326a"]
}, Open  ]]
}, Open  ]]
}
]
*)

